<?php
/**
 * The header for our theme.
 *
 * This is the template that displays all of the <head> section and everything up until <div id="content">
 *
 * @link https://developer.wordpress.org/themes/basics/template-files/#template-partials
 *
 * @package Pen
 */

ob_start();
?>
<!--
                              
               i.             
               Ui             
               :              
              .r.             
         .rJ1UusJUuY:         
       .sjuJ11 12jjLujr       
      :IKMBBBB  BBBBQbUs      
      gBBBgZg    ZggMBBQJ     
     QQ 单身可撩速来哦 BBQr    
   :YBB 单纯稳重最幸福 DK   
   XIgBZdZ          iEBBBKb.  
   :LuBBBRgMBB  BBBQQBBBB.    
      YBQBBBQBB BBBBBBBQ.     
       :SdQBBQBBBBBMDKs       
         :rvYuJusJLvi.        
  ::::::   ..::::..    .i:i:: 
  :i:  liuyuqi.gov@msn.cn i:i:.
      .. .:...::::::ir...     
         .:.i7iLsvsr:r        
          i:iiii77Jir:        
           :.... .:::         
            :rv:ir:..         
            .. .....          
              .               
              JUS             
              :gv             
               r
-->
<!doctype html>
<html class="no-js">
	<head>
		<meta charset="utf-8">
		<meta name="viewport" content="width=device-width, initial-scale=1">
		<meta name="author" content="liuyuqi.gov@msn.cn">
		<meta name="keywords" content="天问博客,大数据,开发架构,随笔,行业分析,芝舟科技"/>
		<meta name="description" content="天问的个人博客，专注前沿科技动态。分享概率论，数学分析，运筹学，以及机器学习/深度学习/大数据和人工智能前沿知识。分享诸如餐饮管理，人事管理，tms，库存管理，订单管理，电商等软件项目解决方案。">

<?php
wp_head();
?>
	</head>
	<body <?php body_class(); ?>>
		<div id="page" class="site">
			<div class="pen_wrapper">
<?php
if ( ! is_customize_preview() ) {
	pen_html_jump_menu( 'color_schemes' );
}
?>
				<a class="screen-reader-shortcut screen-reader-text" href="#content">
<?php
esc_html_e( 'Skip to content', 'pen' );
?>
				</a>
<?php
$header_primary = false;
if ( pen_sidebar_check( 'sidebar-header-primary' ) && is_active_sidebar( 'sidebar-header-primary' ) ) {
	$header_primary = true;
}
$header_secondary = false;
if ( pen_sidebar_check( 'sidebar-header-secondary' ) && is_active_sidebar( 'sidebar-header-secondary' ) ) {
	$header_secondary = true;
}
$connect         = pen_html_connect( 'header' );
$connect_display = 'hide';
if ( $connect ) {
	$connect_display = 'show';
}
$search_html     = pen_html_search_box();
$search_location = '';
$search_display  = 'hide';
$search_location = get_post_meta( get_the_ID(), 'pen_content_search_location_override', true );
if ( ! $search_location || 'default' === $search_location ) {
	$search_location = pen_option_get( 'search_location' );
}
if ( $search_html ) {
	if ( 'header' === $search_location ) {
		$search_display = 'show';
	} elseif ( 'content' === $search_location ) {
		$search_display = 'show_toolbar';
	}
}
$logo          = pen_html_logo();
$phone         = pen_option_get( 'phone' );
$phone_display = ( $phone && pen_option_get( 'phone_header_display' ) ) ? 'show' : 'hide';

ob_start( 'trim' );
get_template_part( 'partials/site', 'navigation' );
$navigation = ob_get_clean();

$classes_header = array(
	'site-header',
	$logo ? 'pen_has_logo' : '',
	$navigation ? 'pen_navigation_show' : 'pen_navigation_hide',
	'pen_phone_' . sanitize_html_class( $phone_display ),
	'pen_connect_' . sanitize_html_class( $connect_display ),
	'pen_search_' . sanitize_html_class( $search_display ),
	'pen_navigation_' . sanitize_html_class( pen_option_get( 'navigation_display' ) ? 'show' : 'hide' ),
	'pen_navigation_mobile_' . sanitize_html_class( pen_option_get( 'navigation_mobile_display' ) ? 'show' : 'hide' ),
);

$classes_header = trim( implode( ' ', array_filter( $classes_header ) ) );
?>
				<header id="pen_header" class="<?php echo esc_attr( $classes_header ); ?>" role="banner">
					<div class="pen_header_inner">
						<div class="pen_header_main">
							<div class="pen_container clearfix">
								<h1>
<?php
echo $logo; /* phpcs:ignore */

get_template_part( 'partials/site', 'title' );
?>
								</h1>
<?php
if ( $header_primary || $header_secondary || 'show' === $phone_display || $connect || ( 'header' === $search_location && $search_html ) ) {
	?>
								<div class="pen_header_wrap pen_animate_on_scroll pen_custom_animation_fadeIn">
	<?php
	pen_sidebar_get( 'sidebar-header-primary' );

	if ( 'show' === $phone_display ) {
		?>
									<div class="pen_phone <?php pen_class_animation( 'phone_header' ); /* phpcs:ignore */ ?>">
										<a href="tel:<?php echo esc_attr( $phone ); ?>">
		<?php
		echo esc_html( $phone );
		?>
										</a>
									</div>
		<?php
	}

	echo $connect; /* phpcs:ignore */

	if ( 'header' === $search_location ) {
		echo $search_html; /* phpcs:ignore */
	}

	pen_sidebar_get( 'sidebar-header-secondary' );
	?>
								</div>
	<?php
}
?>
							</div>
<?php
pen_html_jump_menu( 'header' );
?>
						</div>
<?php
// Adds the main navigation menu.
echo $navigation; /* phpcs:ignore */
?>
					</div><!-- .pen_header_inner -->
<?php
if ( $search_html && 'content' === $search_location ) {
	?>
					<div id="pen_search">
						<div class="pen_container">
	<?php
	pen_sidebar_get( 'sidebar-search-top' );
	?>
						</div>
						<div class="pen_container">
	<?php
	pen_sidebar_get( 'sidebar-search-left' );
	?>
							<div id="pen_search_form">
	<?php
	echo $search_html; /* phpcs:ignore */
	?>
							</div>
	<?php
	pen_sidebar_get( 'sidebar-search-right' );
	?>
						</div>
						<div class="pen_container">
	<?php
	pen_sidebar_get( 'sidebar-search-bottom' );

	pen_html_jump_menu( 'search_bar' );
	?>
						</div>
					</div>
	<?php
}
?>
				</header>
				<div id="pen_section">
<?php
pen_sidebar_get( 'sidebar-top' );
?>
					<div class="pen_container">
						<div id="content" class="site-content clearfix">
