<?php
/**
 * Theme configuration.
 *
 * @package Pen
 */

if ( ! defined( 'ABSPATH' ) ) {
	exit;
}

if ( ! function_exists( 'pen_configuration' ) ) {
	/**
	 * A list of the theme settings, default values, and sanitizing functions.
	 *
	 * @since Pen 1.0.0
	 * @return array
	 */
	function pen_configuration() {
		return array(
			/* phpcs:disable */
			'pen_preset_color' => array(
				'default'  => 'preset_1',
				'sanitize' => 'pen_sanitize_string',
			),
			'pen_preset_font' => array(
				'default'  => 'preset_1',
				'sanitize' => 'pen_sanitize_string',
			),
			'pen_phone' => array(
				'default'  => '123-456-789',
				'sanitize' => 'pen_sanitize_string',
			),
			'pen_phone_header_display' => array(
				'default'  => true,
				'sanitize' => 'pen_sanitize_boolean',
			),
			'pen_phone_header_animation_reveal' => array(
				'default'  => 'fadeInRight',
				'sanitize' => 'pen_sanitize_animation',
			),
			'pen_phone_footer_display' => array(
				'default'  => true,
				'sanitize' => 'pen_sanitize_boolean',
			),
			'pen_phone_footer_animation_reveal' => array(
				'default'  => 'fadeIn',
				'sanitize' => 'pen_sanitize_animation',
			),
			'pen_twitter' => array(
				'default'  => '',
				'sanitize' => 'pen_sanitize_url',
			),
			'pen_twitter_header_display' => array(
				'default'  => true,
				'sanitize' => 'pen_sanitize_boolean',
			),
			'pen_twitter_footer_display' => array(
				'default'  => true,
				'sanitize' => 'pen_sanitize_boolean',
			),
			'pen_facebook' => array(
				'default'  => '',
				'sanitize' => 'pen_sanitize_url',
			),
			'pen_facebook_header_display' => array(
				'default'  => true,
				'sanitize' => 'pen_sanitize_boolean',
			),
			'pen_facebook_footer_display' => array(
				'default'  => true,
				'sanitize' => 'pen_sanitize_boolean',
			),
			'pen_instagram' => array(
				'default'  => '',
				'sanitize' => 'pen_sanitize_url',
			),
			'pen_instagram_header_display' => array(
				'default'  => true,
				'sanitize' => 'pen_sanitize_boolean',
			),
			'pen_instagram_footer_display' => array(
				'default'  => true,
				'sanitize' => 'pen_sanitize_boolean',
			),
			'pen_vk' => array(
				'default'  => '',
				'sanitize' => 'pen_sanitize_string',
			),
			'pen_vk_header_display' => array(
				'default'  => true,
				'sanitize' => 'pen_sanitize_boolean',
			),
			'pen_vk_footer_display' => array(
				'default'  => true,
				'sanitize' => 'pen_sanitize_boolean',
			),
			'pen_pinterest' => array(
				'default'  => '',
				'sanitize' => 'pen_sanitize_url',
			),
			'pen_pinterest_header_display' => array(
				'default'  => true,
				'sanitize' => 'pen_sanitize_boolean',
			),
			'pen_pinterest_footer_display' => array(
				'default'  => true,
				'sanitize' => 'pen_sanitize_boolean',
			),
			'pen_linkedin' => array(
				'default'  => '',
				'sanitize' => 'pen_sanitize_url',
			),
			'pen_linkedin_header_display' => array(
				'default'  => true,
				'sanitize' => 'pen_sanitize_boolean',
			),
			'pen_linkedin_footer_display' => array(
				'default'  => true,
				'sanitize' => 'pen_sanitize_boolean',
			),
			'pen_skype' => array(
				'default'  => '',
				'sanitize' => 'pen_sanitize_string',
			),
			'pen_skype_header_display' => array(
				'default'  => true,
				'sanitize' => 'pen_sanitize_boolean',
			),
			'pen_skype_footer_display' => array(
				'default'  => true,
				'sanitize' => 'pen_sanitize_boolean',
			),
			'pen_telegram' => array(
				'default'  => '',
				'sanitize' => 'pen_sanitize_string',
			),
			'pen_telegram_header_display' => array(
				'default'  => true,
				'sanitize' => 'pen_sanitize_boolean',
			),
			'pen_telegram_footer_display' => array(
				'default'  => true,
				'sanitize' => 'pen_sanitize_boolean',
			),
			'pen_whatsapp' => array(
				'default'  => '',
				'sanitize' => 'pen_sanitize_string',
			),
			'pen_whatsapp_header_display' => array(
				'default'  => true,
				'sanitize' => 'pen_sanitize_boolean',
			),
			'pen_whatsapp_footer_display' => array(
				'default'  => true,
				'sanitize' => 'pen_sanitize_boolean',
			),
			'pen_rss' => array(
				'default'  => get_bloginfo( 'rss2_url' ),
				'sanitize' => 'pen_sanitize_url',
			),
			'pen_rss_header_display' => array(
				'default'  => true,
				'sanitize' => 'pen_sanitize_boolean',
			),
			'pen_rss_footer_display' => array(
				'default'  => true,
				'sanitize' => 'pen_sanitize_boolean',
			),
			'pen_email' => array(
				'default'  => '',
				'sanitize' => 'pen_sanitize_string',
			),
			'pen_email_header_display' => array(
				'default'  => true,
				'sanitize' => 'pen_sanitize_boolean',
			),
			'pen_email_footer_display' => array(
				'default'  => true,
				'sanitize' => 'pen_sanitize_boolean',
			),
			'pen_bitbucket' => array(
				'default'  => '',
				'sanitize' => 'pen_sanitize_url',
			),
			'pen_bitbucket_header_display' => array(
				'default'  => true,
				'sanitize' => 'pen_sanitize_boolean',
			),
			'pen_bitbucket_footer_display' => array(
				'default'  => true,
				'sanitize' => 'pen_sanitize_boolean',
			),
			'pen_flickr' => array(
				'default'  => '',
				'sanitize' => 'pen_sanitize_url',
			),
			'pen_flickr_header_display' => array(
				'default'  => true,
				'sanitize' => 'pen_sanitize_boolean',
			),
			'pen_flickr_footer_display' => array(
				'default'  => true,
				'sanitize' => 'pen_sanitize_boolean',
			),
			'pen_github' => array(
				'default'  => '',
				'sanitize' => 'pen_sanitize_url',
			),
			'pen_github_header_display' => array(
				'default'  => true,
				'sanitize' => 'pen_sanitize_boolean',
			),
			'pen_github_footer_display' => array(
				'default'  => true,
				'sanitize' => 'pen_sanitize_boolean',
			),
			'pen_slack' => array(
				'default'  => '',
				'sanitize' => 'pen_sanitize_url',
			),
			'pen_slack_header_display' => array(
				'default'  => true,
				'sanitize' => 'pen_sanitize_boolean',
			),
			'pen_slack_footer_display' => array(
				'default'  => true,
				'sanitize' => 'pen_sanitize_boolean',
			),
			'pen_site_width' => array(
				'default'  => 'standard',
				'sanitize' => 'pen_sanitize_site_width',
			),
			'pen_round_corners' => array(
				'default'  => true,
				'sanitize' => 'pen_sanitize_boolean',
			),
			'pen_container_position' => array(
				'default'  => 'center',
				'sanitize' => 'pen_sanitize_alignment',
			),
			'pen_list_animation_reveal' => array(
				'default'  => 'flipInY',
				'sanitize' => 'pen_sanitize_animation',
			),
			'pen_list_effect' => array(
				'default'  => 'none',
				'sanitize' => 'pen_sanitize_list_effect',
			),
			'pen_list_type' => array(
				'default'  => 'masonry',
				'sanitize' => 'pen_sanitize_list_type',
			),
			'pen_list_masonry_columns' => array(
				'default'  => 4,
				'sanitize' => 'pen_sanitize_masonry_columns',
			),
			'pen_list_masonry_thumbnail_effect' => array(
				'default'  => 'none',
				'sanitize' => 'pen_sanitize_masonry_thumbnail',
			),
			'pen_list_masonry_thumbnail_style' => array(
				'default'  => 1,
				'sanitize' => 'pen_sanitize_integer',
			),
			'pen_list_header_display' => array(
				'default'  => true,
				'sanitize' => 'pen_sanitize_boolean',
			),
			'pen_list_post_header_alignment' => array(
				'default'  => false,
				'sanitize' => 'pen_sanitize_boolean',
			),
			'pen_front_sidebar_header_primary_display' => array(
				'default'  => false,
				'sanitize' => 'pen_sanitize_boolean',
			),
			'pen_front_sidebar_header_secondary_display' => array(
				'default'  => false,
				'sanitize' => 'pen_sanitize_boolean',
			),
			'pen_front_sidebar_search_top_display' => array(
				'default'  => false,
				'sanitize' => 'pen_sanitize_boolean',
			),
			'pen_front_sidebar_search_left_display' => array(
				'default'  => false,
				'sanitize' => 'pen_sanitize_boolean',
			),
			'pen_front_sidebar_search_right_display' => array(
				'default'  => false,
				'sanitize' => 'pen_sanitize_boolean',
			),
			'pen_front_sidebar_search_bottom_display' => array(
				'default'  => false,
				'sanitize' => 'pen_sanitize_boolean',
			),
			'pen_front_sidebar_top_display' => array(
				'default'  => false,
				'sanitize' => 'pen_sanitize_boolean',
			),
			'pen_front_sidebar_left_display' => array(
				'default'  => false,
				'sanitize' => 'pen_sanitize_boolean',
			),
			'pen_front_sidebar_right_display' => array(
				'default'  => false,
				'sanitize' => 'pen_sanitize_boolean',
			),
			'pen_front_sidebar_content_top_display' => array(
				'default'  => false,
				'sanitize' => 'pen_sanitize_boolean',
			),
			'pen_front_sidebar_content_bottom_display' => array(
				'default'  => false,
				'sanitize' => 'pen_sanitize_boolean',
			),
			'pen_front_sidebar_bottom_display' => array(
				'default'  => false,
				'sanitize' => 'pen_sanitize_boolean',
			),
			'pen_front_sidebar_footer_top_display' => array(
				'default'  => false,
				'sanitize' => 'pen_sanitize_boolean',
			),
			'pen_front_sidebar_footer_left_display' => array(
				'default'  => false,
				'sanitize' => 'pen_sanitize_boolean',
			),
			'pen_front_sidebar_footer_right_display' => array(
				'default'  => false,
				'sanitize' => 'pen_sanitize_boolean',
			),
			'pen_front_sidebar_footer_bottom_display' => array(
				'default'  => false,
				'sanitize' => 'pen_sanitize_boolean',
			),
			'pen_list_title_alignment' => array(
				'default'  => false,
				'sanitize' => 'pen_sanitize_boolean',
			),
			'pen_list_title_display' => array(
				'default'  => true,
				'sanitize' => 'pen_sanitize_boolean',
			),
			'pen_list_author_display' => array(
				'default'  => true,
				'sanitize' => 'pen_sanitize_boolean',
			),
			'pen_list_author_animation_reveal' => array(
				'default'  => 'fadeIn',
				'sanitize' => 'pen_sanitize_animation',
			),
			'pen_list_date_display' => array(
				'default'  => true,
				'sanitize' => 'pen_sanitize_boolean',
			),
			'pen_list_category_display' => array(
				'default'  => true,
				'sanitize' => 'pen_sanitize_boolean',
			),
			'pen_list_category_only_first' => array(
				'default'  => false,
				'sanitize' => 'pen_sanitize_boolean',
			),
			'pen_list_thumbnail_display' => array(
				'default'  => true,
				'sanitize' => 'pen_sanitize_boolean',
			),
			'pen_list_thumbnail_animation_reveal' => array(
				'default'  => 'fadeIn',
				'sanitize' => 'pen_sanitize_animation',
			),
			'pen_list_thumbnail_rotate' => array(
				'default'  => true,
				'sanitize' => 'pen_sanitize_boolean',
			),
			'pen_list_thumbnail_alignment' => array(
				'default'  => 'right',
				'sanitize' => 'pen_sanitize_alignment',
			),
			'pen_list_thumbnail_frame' => array(
				'default'  => true,
				'sanitize' => 'pen_sanitize_boolean',
			),
			'pen_list_thumbnail_resize' => array(
				'default'  => 'large',
				'sanitize' => 'pen_sanitize_thumbnail_resize',
			),
			'pen_list_summary_display' => array(
				'default'  => true,
				'sanitize' => 'pen_sanitize_boolean',
			),
			'pen_list_excerpt' => array(
				'default'  => true,
				'sanitize' => 'pen_sanitize_boolean',
			),
			'pen_list_profile_display' => array(
				'default'  => false,
				'sanitize' => 'pen_sanitize_boolean',
			),
			'pen_list_footer_display' => array(
				'default'  => false,
				'sanitize' => 'pen_sanitize_boolean',
			),
			'pen_list_tags_display' => array(
				'default'  => false,
				'sanitize' => 'pen_sanitize_boolean',
			),
			'pen_list_button_comment_display' => array(
				'default'  => true,
				'sanitize' => 'pen_sanitize_boolean',
			),
			'pen_list_button_edit_display' => array(
				'default'  => true,
				'sanitize' => 'pen_sanitize_boolean',
			),
			'pen_list_author_location' => array(
				'default'  => 'header',
				'sanitize' => 'pen_sanitize_location',
			),
			'pen_list_date_location' => array(
				'default'  => 'header',
				'sanitize' => 'pen_sanitize_location',
			),
			'pen_list_category_location' => array(
				'default'  => 'header',
				'sanitize' => 'pen_sanitize_location',
			),
			'pen_list_pager_animation_reveal' => array(
				'default'  => 'fadeInDown',
				'sanitize' => 'pen_sanitize_animation',
			),
			'pen_content_animation_reveal' => array(
				'default'  => 'none',
				'sanitize' => 'pen_sanitize_animation',
			),
			'pen_content_header_display' => array(
				'default'  => true,
				'sanitize' => 'pen_sanitize_boolean',
			),
			'pen_content_header_alignment' => array(
				'default'  => false,
				'sanitize' => 'pen_sanitize_boolean',
			),
			'pen_content_title_alignment' => array(
				'default'  => false,
				'sanitize' => 'pen_sanitize_boolean',
			),
			'pen_content_title_display' => array(
				'default'  => true,
				'sanitize' => 'pen_sanitize_boolean',
			),
			'pen_content_author_display' => array(
				'default'  => true,
				'sanitize' => 'pen_sanitize_boolean',
			),
			'pen_content_author_animation_reveal' => array(
				'default'  => 'fadeIn',
				'sanitize' => 'pen_sanitize_animation',
			),
			'pen_content_date_display' => array(
				'default'  => true,
				'sanitize' => 'pen_sanitize_boolean',
			),
			'pen_content_category_display' => array(
				'default'  => true,
				'sanitize' => 'pen_sanitize_boolean',
			),
			'pen_content_category_only_first' => array(
				'default'  => false,
				'sanitize' => 'pen_sanitize_boolean',
			),
			'pen_content_thumbnail_display' => array(
				'default'  => true,
				'sanitize' => 'pen_sanitize_boolean',
			),
			'pen_content_thumbnail_animation_reveal' => array(
				'default'  => 'swing',
				'sanitize' => 'pen_sanitize_animation',
			),
			'pen_content_thumbnail_rotate' => array(
				'default'  => true,
				'sanitize' => 'pen_sanitize_boolean',
			),
			'pen_content_thumbnail_alignment' => array(
				'default'  => 'right',
				'sanitize' => 'pen_sanitize_alignment',
			),
			'pen_content_thumbnail_frame' => array(
				'default'  => true,
				'sanitize' => 'pen_sanitize_boolean',
			),
			'pen_content_thumbnail_resize' => array(
				'default'  => 'medium',
				'sanitize' => 'pen_sanitize_thumbnail_resize',
			),
			'pen_content_profile_display' => array(
				'default'  => true,
				'sanitize' => 'pen_sanitize_boolean',
			),
			'pen_content_footer_display' => array(
				'default'  => true,
				'sanitize' => 'pen_sanitize_boolean',
			),
			'pen_content_tags_display' => array(
				'default'  => true,
				'sanitize' => 'pen_sanitize_boolean',
			),
			'pen_content_share_display' => array(
				'default'  => false,
				'sanitize' => 'pen_sanitize_boolean',
			),
			'pen_content_author_location' => array(
				'default'  => 'header',
				'sanitize' => 'pen_sanitize_location',
			),
			'pen_content_date_location' => array(
				'default'  => 'header',
				'sanitize' => 'pen_sanitize_location',
			),
			'pen_content_category_location' => array(
				'default'  => 'header',
				'sanitize' => 'pen_sanitize_location',
			),
			'pen_content_share_location' => array(
				'default'  => 'content',
				'sanitize' => 'pen_sanitize_location',
			),
			'pen_content_pager_animation_reveal' => array(
				'default'  => 'fadeInDown',
				'sanitize' => 'pen_sanitize_animation',
			),
			'pen_comments_animation_reveal' => array(
				'default'  => 'fadeIn',
				'sanitize' => 'pen_sanitize_animation',
			),
			'pen_background_lights_dim' => array(
				'default'  => false,
				'sanitize' => 'pen_sanitize_boolean',
			),
			'pen_color_text' => array(
				'default' => array(
					'preset_1'  => '#ffffff',
					'preset_2'  => '#ffffff',
					'preset_3'  => '#ffffff',
					'preset_4'  => '#ffffff',
					'preset_5'  => '#ffffff',
					'preset_6'  => '#ffffff',
					'preset_7'  => '#ffffff',
					'preset_8'  => '#ffffff',
					'preset_9'  => '#ffffff',
					'preset_10' => '#ffffff',
					'preset_11' => '#ffffff',
					'preset_12' => '#ffffff',
					'preset_13' => '#ffffff',
					'preset_14' => '#ffffff',
					'preset_15' => '#ffffff',
				),
				'sanitize' => 'pen_sanitize_color',
			),
			'pen_color_shadow' => array(
				'default' => array(
					'preset_1'  => '#000000',
					'preset_2'  => '#000000',
					'preset_3'  => '#000000',
					'preset_4'  => '#000000',
					'preset_5'  => '#000000',
					'preset_6'  => '#000000',
					'preset_7'  => '#000000',
					'preset_8'  => '#000000',
					'preset_9'  => '#000000',
					'preset_10' => '#000000',
					'preset_11' => '#000000',
					'preset_12' => '#000000',
					'preset_13' => '#000000',
					'preset_14' => '#000000',
					'preset_15' => '#000000',
				),
				'sanitize' => 'pen_sanitize_color',
			),
			'pen_color_site_shadow_display' => array(
				'default' => array(
					'preset_1'  => true,
					'preset_2'  => true,
					'preset_3'  => true,
					'preset_4'  => true,
					'preset_5'  => true,
					'preset_6'  => true,
					'preset_7'  => true,
					'preset_8'  => true,
					'preset_9'  => true,
					'preset_10' => true,
					'preset_11' => false,
					'preset_12' => false,
					'preset_13' => false,
					'preset_14' => false,
					'preset_15' => false,
				),
				'sanitize' => 'pen_sanitize_boolean',
			),
			'pen_color_site_background' => array(
				'default' => array(
					'preset_1'  => '#333333',
					'preset_2'  => '#222222',
					'preset_3'  => '#000b0d',
					'preset_4'  => '#03000a',
					'preset_5'  => '#001b3b',
					'preset_6'  => '#4a004a',
					'preset_7'  => '#111111',
					'preset_8'  => '#f2def1',
					'preset_9'  => '#0c0e00',
					'preset_10' => '#777777',
					'preset_11' => '#0d1f1c',
					'preset_12' => '#000000',
					'preset_13' => '#444444',
					'preset_14' => '#00050a',
					'preset_15' => '#001f4a',
				),
				'sanitize' => 'pen_sanitize_color',
			),
			'pen_color_site_background_effect' => array(
				'default' => array(
					'preset_1'  => 'trianglify',
					'preset_2'  => 'shards',
					'preset_3'  => 'trianglify',
					'preset_4'  => 'shards',
					'preset_5'  => 'trianglify',
					'preset_6'  => 'shards',
					'preset_7'  => 'trianglify',
					'preset_8'  => 'shards',
					'preset_9'  => 'trianglify',
					'preset_10' => 'shards',
					'preset_11' => 'trianglify',
					'preset_12' => 'shards',
					'preset_13' => 'trianglify',
					'preset_14' => 'shards',
					'preset_15' => 'trianglify',
				),
				'sanitize' => 'pen_sanitize_string',
			),
			'pen_color_link' => array(
				'default' => array(
					'preset_1'  => '#0087cc',
					'preset_2'  => '#de5e00',
					'preset_3'  => '#007773',
					'preset_4'  => '#7100e2',
					'preset_5'  => '#0071c7',
					'preset_6'  => '#8c538c',
					'preset_7'  => '#e00000',
					'preset_8'  => '#ca43c2',
					'preset_9'  => '#729800',
					'preset_10' => '#d29d00',
					'preset_11' => '#00d3cf',
					'preset_12' => '#00b7ff',
					'preset_13' => '#f07c45',
					'preset_14' => '#008aff',
					'preset_15' => '#00a9ff',
				),
				'sanitize' => 'pen_sanitize_color',
			),
			'pen_color_link_hover' => array(
				'default' => array(
					'preset_1'  => '#18b1e7',
					'preset_2'  => '#b74d00',
					'preset_3'  => '#00aba5',
					'preset_4'  => '#8d1cff',
					'preset_5'  => '#007fe0',
					'preset_6'  => '#7f447f',
					'preset_7'  => '#c00000',
					'preset_8'  => '#d22dc9',
					'preset_9'  => '#a0c11d',
					'preset_10' => '#ffaa00',
					'preset_11' => '#009f92',
					'preset_12' => '#00b7ff',
					'preset_13' => '#f07c45',
					'preset_14' => '#008af0',
					'preset_15' => '#093a89',
					'preset_15' => '#093a89',
				),
				'sanitize' => 'pen_sanitize_color',
			),
			'pen_color_button_text' => array(
				'default' => array(
					'preset_1'  => '#ffffff',
					'preset_2'  => '#ffffff',
					'preset_3'  => '#ffffff',
					'preset_4'  => '#ffffff',
					'preset_5'  => '#ffffff',
					'preset_6'  => '#ffffff',
					'preset_7'  => '#ffffff',
					'preset_8'  => '#ffffff',
					'preset_9'  => '#ffffff',
					'preset_10' => '#ffffff',
					'preset_11' => '#142d29',
					'preset_12' => '#ffffff',
					'preset_13' => '#ffffff',
					'preset_14' => '#777777',
					'preset_15' => '#ffffff',
				),
				'sanitize' => 'pen_sanitize_color',
			),
			'pen_color_button_background_primary' => array(
				'default' => array(
					'preset_1'  => '#00a9ff',
					'preset_2'  => '#ff5100',
					'preset_3'  => '#007385',
					'preset_4'  => '#34004c',
					'preset_5'  => '#1a74c7',
					'preset_6'  => '#a800a8',
					'preset_7'  => '#c00000',
					'preset_8'  => '#d437ca',
					'preset_9'  => '#709500',
					'preset_10' => '#222222',
					'preset_11' => '#00d3cf',
					'preset_12' => '#00b7ff',
					'preset_13' => '#f07c45',
					'preset_14' => '#ffca00',
					'preset_15' => '#1a74cc',
				),
				'sanitize' => 'pen_sanitize_color',
			),
			'pen_color_button_background_secondary' => array(
				'default' => array(
					'preset_1'  => '#093a89',
					'preset_2'  => '#ab3c00',
					'preset_3'  => '#00252b',
					'preset_4'  => '#200027',
					'preset_5'  => '#000e4f',
					'preset_6'  => '#4a004a',
					'preset_7'  => '#700000',
					'preset_8'  => '#a71b9f',
					'preset_9'  => '#709500',
					'preset_10' => '#000000',
					'preset_11' => '#00d3cf',
					'preset_12' => '#00b7ff',
					'preset_13' => '#f07c45',
					'preset_14' => '#ffca00',
					'preset_15' => '#1a74cc',
				),
				'sanitize' => 'pen_sanitize_color',
			),
			'pen_color_button_border' => array(
				'default' => array(
					'preset_1'  => '#093a89',
					'preset_2'  => '#000000',
					'preset_3'  => '#00252b',
					'preset_4'  => '#000000',
					'preset_5'  => '#000e4f',
					'preset_6'  => '#333333',
					'preset_7'  => '#300000',
					'preset_8'  => '#a71b9f',
					'preset_9'  => '#3b4d11',
					'preset_10' => '#000000',
					'preset_11' => '#00d3cf',
					'preset_12' => '#00b7ff',
					'preset_13' => '#f07c45',
					'preset_14' => '#ffca00',
					'preset_15' => '#1a74cc',
				),
				'sanitize' => 'pen_sanitize_color',
			),
			'pen_color_header_background_primary' => array(
				'default' => array(
					'preset_1'  => '#ffffff',
					'preset_2'  => '#404040',
					'preset_3'  => '#001f24',
					'preset_4'  => '#080019',
					'preset_5'  => '#001a42',
					'preset_6'  => '#fff2ff',
					'preset_7'  => '#000000',
					'preset_8'  => '#ffddfd',
					'preset_9'  => '#000000',
					'preset_10' => '#ffe400',
					'preset_11' => '#00d3cf',
					'preset_12' => '#000000',
					'preset_13' => '#f07c45',
					'preset_14' => '#000000',
					'preset_15' => '#001a4a',
				),
				'sanitize' => 'pen_sanitize_color',
			),
			'pen_color_header_background_secondary' => array(
				'default' => array(
					'preset_1'  => '#dddddd',
					'preset_2'  => '#000000',
					'preset_3'  => '#00121a',
					'preset_4'  => '#0c001c',
					'preset_5'  => '#003078',
					'preset_6'  => '#eacaea',
					'preset_7'  => '#111111',
					'preset_8'  => '#fff5fe',
					'preset_9'  => '#3b4d11',
					'preset_10' => '#ffe400',
					'preset_11' => '#00d3cf',
					'preset_12' => '#000000',
					'preset_13' => '#f07c45',
					'preset_14' => '#000000',
					'preset_15' => '#001a4a',
				),
				'sanitize' => 'pen_sanitize_color',
			),
			'pen_color_header_background_angle' => array(
				'default' => array(
					'preset_1'  => '125deg',
					'preset_2'  => '125deg',
					'preset_3'  => '125deg',
					'preset_4'  => '125deg',
					'preset_5'  => '125deg',
					'preset_6'  => 'to bottom',
					'preset_7'  => 'to bottom',
					'preset_8'  => 'to bottom',
					'preset_9'  => '125deg',
					'preset_10' => '125deg',
					'preset_11' => 'to bottom',
					'preset_12' => 'to bottom',
					'preset_13' => 'to bottom',
					'preset_14' => 'to bottom',
					'preset_15' => 'to bottom',
				),
				'sanitize' => 'pen_sanitize_string',
			),
			'pen_color_header_text' => array(
				'default' => array(
					'preset_1'  => '#777777',
					'preset_2'  => '#eeeeee',
					'preset_3'  => '#b0f4ff',
					'preset_4'  => '#deb8f9',
					'preset_5'  => '#b0f4ff',
					'preset_6'  => '#5f2d5f',
					'preset_7'  => '#dddddd',
					'preset_8'  => '#d437ca',
					'preset_9'  => '#ffffff',
					'preset_10' => '#444444',
					'preset_11' => '#777777',
					'preset_12' => '#ffffff',
					'preset_13' => '#ffffff',
					'preset_14' => '#ffffff',
					'preset_15' => '#333333',
				),
				'sanitize' => 'pen_sanitize_color',
			),
			'pen_color_header_link' => array(
				'default' => array(
					'preset_1'  => '#777777',
					'preset_2'  => '#de7e00',
					'preset_3'  => '#b0f4ff',
					'preset_4'  => '#deb8f9',
					'preset_5'  => '#ffe000',
					'preset_6'  => '#7f447f',
					'preset_7'  => '#ffffff',
					'preset_8'  => '#e75ade',
					'preset_9'  => '#f5ff83',
					'preset_10' => '#000000',
					'preset_11' => '#ffffff',
					'preset_12' => '#00b7ff',
					'preset_13' => '#ffffff',
					'preset_14' => '#008aff',
					'preset_15' => '#00a9ff',
				),
				'sanitize' => 'pen_sanitize_color',
			),
			'pen_color_header_link_hover' => array(
				'default' => array(
					'preset_1'  => '#333333',
					'preset_2'  => '#de5e00',
					'preset_3'  => '#ffffff',
					'preset_4'  => '#ffffff',
					'preset_5'  => '#fffc00',
					'preset_6'  => '#aa73aa',
					'preset_7'  => '#c00000',
					'preset_8'  => '#d437ca',
					'preset_9'  => '#edff25',
					'preset_10' => '#444444',
					'preset_11' => '#ffffff',
					'preset_12' => '#00b7ff',
					'preset_13' => '#ffffff',
					'preset_14' => '#008af0',
					'preset_15' => '#00a9ff',
				),
				'sanitize' => 'pen_sanitize_color',
			),
			'pen_color_header_sitetitle' => array(
				'default' => array(
					'preset_1'  => '#777777',
					'preset_2'  => '#dddddd',
					'preset_3'  => '#b0f4ff',
					'preset_4'  => '#c8bcff',
					'preset_5'  => '#b0daff',
					'preset_6'  => '#5f2d5f',
					'preset_7'  => '#dddddd',
					'preset_8'  => '#a71b9f',
					'preset_9'  => '#a0c11d',
					'preset_10' => '#333333',
					'preset_11' => '#ffffff',
					'preset_12' => '#ffffff',
					'preset_13' => '#ffffff',
					'preset_14' => '#ffffff',
					'preset_15' => '#ffffff',
				),
				'sanitize' => 'pen_sanitize_color',
			),
			'pen_color_header_sitetitle_hover' => array(
				'default' => array(
					'preset_1'  => '#333333',
					'preset_2'  => '#ffffff',
					'preset_3'  => '#ffffff',
					'preset_4'  => '#ffffff',
					'preset_5'  => '#96d5ff',
					'preset_6'  => '#7b407b',
					'preset_7'  => '#ffffff',
					'preset_8'  => '#ca43c2',
					'preset_9'  => '#caed3c',
					'preset_10' => '#444444',
					'preset_11' => '#ffffff',
					'preset_12' => '#ffffff',
					'preset_13' => '#ffffff',
					'preset_14' => '#ffffff',
					'preset_15' => '#ffffff',
				),
				'sanitize' => 'pen_sanitize_color',
			),
			'pen_color_header_sitedescription' => array(
				'default' => array(
					'preset_1'  => '#777777',
					'preset_2'  => '#de7e00',
					'preset_3'  => '#b0f4ff',
					'preset_4'  => '#deb8f9',
					'preset_5'  => '#5081c9',
					'preset_6'  => '#5f2d5f',
					'preset_7'  => '#aaaaaa',
					'preset_8'  => '#a71b9f',
					'preset_9'  => '#a0c11d',
					'preset_10' => '#555555',
					'preset_11' => '#009f92',
					'preset_12' => '#ffffff',
					'preset_13' => '#ffffff',
					'preset_14' => '#ffffff',
					'preset_15' => '#ffffff',
				),
				'sanitize' => 'pen_sanitize_color',
			),
			'pen_color_header_sitedescription_hover' => array(
				'default' => array(
					'preset_1'  => '#333333',
					'preset_2'  => '#de9b00',
					'preset_3'  => '#ffffff',
					'preset_4'  => '#ffffff',
					'preset_5'  => '#96d5ff',
					'preset_6'  => '#5f2d5f',
					'preset_7'  => '#f00000',
					'preset_8'  => '#ca43c2',
					'preset_9'  => '#caed3c',
					'preset_10' => '#000000',
					'preset_11' => '#009f92',
					'preset_12' => '#ffffff',
					'preset_13' => '#ffffff',
					'preset_14' => '#ffffff',
					'preset_15' => '#ffffff',
				),
				'sanitize' => 'pen_sanitize_color',
			),
			'pen_color_header_phone' => array(
				'default' => array(
					'preset_1'  => '#777777',
					'preset_2'  => '#de7e00',
					'preset_3'  => '#b0f4ff',
					'preset_4'  => '#deb8f9',
					'preset_5'  => '#96d5ff',
					'preset_6'  => '#8c538c',
					'preset_7'  => '#aaaaaa',
					'preset_8'  => '#ca43c2',
					'preset_9'  => '#caed3c',
					'preset_10' => '#444444',
					'preset_11' => '#ffffff',
					'preset_12' => '#00b7ff',
					'preset_13' => '#ffffff',
					'preset_14' => '#ffffff',
					'preset_15' => '#ffffff',
				),
				'sanitize' => 'pen_sanitize_color',
			),
			'pen_color_header_phone_hover' => array(
				'default' => array(
					'preset_1'  => '#333333',
					'preset_2'  => '#de5e00',
					'preset_3'  => '#ffffff',
					'preset_4'  => '#ffffff',
					'preset_5'  => '#ffffff',
					'preset_6'  => '#aa73aa',
					'preset_7'  => '#ffffff',
					'preset_8'  => '#a71b9f',
					'preset_9'  => '#a0c11d',
					'preset_10' => '#000000',
					'preset_11' => '#ffffff',
					'preset_12' => '#00b7ff',
					'preset_13' => '#ffffff',
					'preset_14' => '#ffffff',
					'preset_15' => '#ffffff',
				),
				'sanitize' => 'pen_sanitize_color',
			),
			'pen_color_header_text_shadow' => array(
				'default' => array(
					'preset_1'  => '#ffffff',
					'preset_2'  => '#000000',
					'preset_3'  => '#000000',
					'preset_4'  => '#000000',
					'preset_5'  => '#000000',
					'preset_6'  => '#000000',
					'preset_7'  => '#000000',
					'preset_8'  => '#000000',
					'preset_9'  => '#000000',
					'preset_10' => '#000000',
					'preset_11' => '#000000',
					'preset_12' => '#000000',
					'preset_13' => '#000000',
					'preset_14' => '#000000',
					'preset_15' => '#000000',
				),
				'sanitize' => 'pen_sanitize_color',
			),
			'pen_color_header_text_shadow_display' => array(
				'default' => array(
					'preset_1'  => true,
					'preset_2'  => true,
					'preset_3'  => true,
					'preset_4'  => true,
					'preset_5'  => true,
					'preset_6'  => false,
					'preset_7'  => true,
					'preset_8'  => false,
					'preset_9'  => true,
					'preset_10' => false,
					'preset_11' => false,
					'preset_12' => false,
					'preset_13' => false,
					'preset_14' => false,
					'preset_15' => false,
				),
				'sanitize' => 'pen_sanitize_boolean',
			),
			'pen_color_header_field_background_primary' => array(
				'default' => array(
					'preset_1'  => '#ffffff',
					'preset_2'  => '#303030',
					'preset_3'  => '#a7f4ff',
					'preset_4'  => '#1f1b58',
					'preset_5'  => '#031c4f',
					'preset_6'  => '#753775',
					'preset_7'  => '#303030',
					'preset_8'  => '#ffe0fd',
					'preset_9'  => '#020300',
					'preset_10' => '#fff283',
					'preset_11' => '#009f92',
					'preset_12' => '#333333',
					'preset_13' => '#ffffff',
					'preset_14' => '#333333',
					'preset_15' => '#000000',
				),
				'sanitize' => 'pen_sanitize_color',
			),
			'pen_color_header_field_background_secondary' => array(
				'default' => array(
					'preset_1'  => '#ffffff',
					'preset_2'  => '#333333',
					'preset_3'  => '#c8f7ff',
					'preset_4'  => '#311a8c',
					'preset_5'  => '#031c4f',
					'preset_6'  => '#753775',
					'preset_7'  => '#3f3f3f',
					'preset_8'  => '#ffe0fd',
					'preset_9'  => '#1e2b00',
					'preset_10' => '#fff283',
					'preset_11' => '#009f92',
					'preset_12' => '#333333',
					'preset_13' => '#ffffff',
					'preset_14' => '#333333',
					'preset_15' => '#000000',
				),
				'sanitize' => 'pen_sanitize_color',
			),
			'pen_color_header_field_text' => array(
				'default' => array(
					'preset_1'  => '#333333',
					'preset_2'  => '#eeeeee',
					'preset_3'  => '#333333',
					'preset_4'  => '#d5ccff',
					'preset_5'  => '#a1d3ec',
					'preset_6'  => '#f3dbf3',
					'preset_7'  => '#aaaaaa',
					'preset_8'  => '#b422ab',
					'preset_9'  => '#e8fabe',
					'preset_10' => '#333333',
					'preset_11' => '#ffffff',
					'preset_12' => '#aaaaaa',
					'preset_13' => '#555555',
					'preset_14' => '#aaaaaa',
					'preset_15' => '#ffffff',
				),
				'sanitize' => 'pen_sanitize_color',
			),
			'pen_color_header_search_background_primary' => array(
				'default' => array(
					'preset_1'  => '#00a9ff',
					'preset_2'  => '#ff5100',
					'preset_3'  => '#007385',
					'preset_4'  => '#1e0057',
					'preset_5'  => '#003694',
					'preset_6'  => '#a800a8',
					'preset_7'  => '#1f1f1f',
					'preset_8'  => '#dc41d4',
					'preset_9'  => '#a0c11d',
					'preset_10' => '#333333',
					'preset_11' => '#005e5c',
					'preset_12' => '#00b7ff',
					'preset_13' => '#000000',
					'preset_14' => '#285d9d',
					'preset_15' => '#1a74cc',
				),
				'sanitize' => 'pen_sanitize_color',
			),
			'pen_color_header_search_background_secondary' => array(
				'default' => array(
					'preset_1'  => '#093a89',
					'preset_2'  => '#ab3c00',
					'preset_3'  => '#00252b',
					'preset_4'  => '#060021',
					'preset_5'  => '#001936',
					'preset_6'  => '#333333',
					'preset_7'  => '#0f0f0f',
					'preset_8'  => '#a71b9f',
					'preset_9'  => '#a0c11d',
					'preset_10' => '#000000',
					'preset_11' => '#005e5c',
					'preset_12' => '#00b7ff',
					'preset_13' => '#000000',
					'preset_14' => '#285d9d',
					'preset_15' => '#1a74cc',
				),
				'sanitize' => 'pen_sanitize_color',
			),
			'pen_color_header_search_text' => array(
				'default' => array(
					'preset_1'  => '#ffffff',
					'preset_2'  => '#ffffff',
					'preset_3'  => '#ffffff',
					'preset_4'  => '#ffffff',
					'preset_5'  => '#ffffff',
					'preset_6'  => '#ffffff',
					'preset_7'  => '#ffffff',
					'preset_8'  => '#ffffff',
					'preset_9'  => '#ffffff',
					'preset_10' => '#ffffff',
					'preset_11' => '#ffffff',
					'preset_12' => '#000000',
					'preset_13' => '#ffffff',
					'preset_14' => '#d1deec',
					'preset_15' => '#ffffff',
				),
				'sanitize' => 'pen_sanitize_color',
			),
			'pen_color_navigation_background_primary' => array(
				'default' => array(
					'preset_1'  => '#00a9ff',
					'preset_2'  => '#141414',
					'preset_3'  => '#00121a',
					'preset_4'  => '#1e003f',
					'preset_5'  => '#ffe000',
					'preset_6'  => '#f7e7f7',
					'preset_7'  => '#df0000',
					'preset_8'  => '#a71b9f',
					'preset_9'  => '#a0c11d',
					'preset_10' => '#303030',
					'preset_11' => '#005e5c',
					'preset_12' => '#555555',
					'preset_13' => '#f07c45',
					'preset_14' => '#3c97de',
					'preset_15' => '#ffed00',
				),
				'sanitize' => 'pen_sanitize_color',
			),
			'pen_color_navigation_background_secondary' => array(
				'default' => array(
					'preset_1'  => '#093a89',
					'preset_2'  => '#404040',
					'preset_3'  => '#001f24',
					'preset_4'  => '#1f1c59',
					'preset_5'  => '#ffbc00',
					'preset_6'  => '#ead4ea',
					'preset_7'  => '#b00000',
					'preset_8'  => '#a71b9f',
					'preset_9'  => '#7b9b00',
					'preset_10' => '#000000',
					'preset_11' => '#005e5c',
					'preset_12' => '#555555',
					'preset_13' => '#f07c45',
					'preset_14' => '#3c97de',
					'preset_15' => '#ffed00',
				),
				'sanitize' => 'pen_sanitize_color',
			),
			'pen_color_navigation_background_angle' => array(
				'default' => array(
					'preset_1'  => '125deg',
					'preset_2'  => '125deg',
					'preset_3'  => '125deg',
					'preset_4'  => '125deg',
					'preset_5'  => '125deg',
					'preset_6'  => 'to bottom',
					'preset_7'  => 'to bottom',
					'preset_8'  => '125deg',
					'preset_9'  => '125deg',
					'preset_10' => '125deg',
					'preset_11' => 'to bottom',
					'preset_12' => 'to bottom',
					'preset_13' => 'to bottom',
					'preset_14' => 'to bottom',
					'preset_15' => 'to bottom',
				),
				'sanitize' => 'pen_sanitize_string',
			),
			'pen_color_navigation_background_submenu_primary' => array(
				'default' => array(
					'preset_1'  => '#004d98',
					'preset_2'  => '#1c1c1c',
					'preset_3'  => '#001a21',
					'preset_4'  => '#17002f',
					'preset_5'  => '#ffbc00',
					'preset_6'  => '#f7e7f7',
					'preset_7'  => '#a00000',
					'preset_8'  => '#a71b9f',
					'preset_9'  => '#a0c11d',
					'preset_10' => '#333333',
					'preset_11' => '#005e5c',
					'preset_12' => '#303030',
					'preset_13' => '#000000',
					'preset_14' => '#3c97de',
					'preset_15' => '#ffed00',
				),
				'sanitize' => 'pen_sanitize_color',
			),
			'pen_color_navigation_background_submenu_secondary' => array(
				'default' => array(
					'preset_1'  => '#004d98',
					'preset_2'  => '#1c1c1c',
					'preset_3'  => '#001a21',
					'preset_4'  => '#221158',
					'preset_5'  => '#ffbc00',
					'preset_6'  => '#f7e7f7',
					'preset_7'  => '#f00000',
					'preset_8'  => '#a71b9f',
					'preset_9'  => '#a0c11d',
					'preset_10' => '#222222',
					'preset_11' => '#005e5c',
					'preset_12' => '#303030',
					'preset_13' => '#000000',
					'preset_14' => '#3c97de',
					'preset_15' => '#ffed00',
				),
				'sanitize' => 'pen_sanitize_color',
			),
			'pen_color_navigation_background_submenu_angle' => array(
				'default' => array(
					'preset_1'  => '125deg',
					'preset_2'  => 'to bottom',
					'preset_3'  => '125deg',
					'preset_4'  => '125deg',
					'preset_5'  => '125deg',
					'preset_6'  => '125deg',
					'preset_7'  => 'to bottom',
					'preset_8'  => 'to bottom',
					'preset_9'  => '125deg',
					'preset_10' => '125deg',
					'preset_11' => 'to bottom',
					'preset_12' => 'to bottom',
					'preset_13' => 'to bottom',
					'preset_14' => 'to bottom',
					'preset_15' => 'to bottom',
				),
				'sanitize' => 'pen_sanitize_color',
			),
			'pen_color_navigation_link' => array(
				'default' => array(
					'preset_1'  => '#c5e2ff',
					'preset_2'  => '#ffffff',
					'preset_3'  => '#b0f4ff',
					'preset_4'  => '#bbaaf7',
					'preset_5'  => '#003d87',
					'preset_6'  => '#a555a5',
					'preset_7'  => '#ffffff',
					'preset_8'  => '#ffffff',
					'preset_9'  => '#212d04',
					'preset_10' => '#ffffff',
					'preset_11' => '#ffffff',
					'preset_12' => '#ffffff',
					'preset_13' => '#333333',
					'preset_14' => '#ffffff',
					'preset_15' => '#333333',
				),
				'sanitize' => 'pen_sanitize_color',
			),
			'pen_color_navigation_link_hover' => array(
				'default' => array(
					'preset_1'  => '#ffffff',
					'preset_2'  => '#de5e00',
					'preset_3'  => '#ffffff',
					'preset_4'  => '#f3edff',
					'preset_5'  => '#005d9e',
					'preset_6'  => '#ab34ab',
					'preset_7'  => '#ffffff',
					'preset_8'  => '#ffd800',
					'preset_9'  => '#415d00',
					'preset_10' => '#ffcc00',
					'preset_11' => '#ffffff',
					'preset_12' => '#00b7ff',
					'preset_13' => '#000000',
					'preset_14' => '#ffffff',
					'preset_15' => '#444444',
				),
				'sanitize' => 'pen_sanitize_color',
			),
			'pen_color_navigation_text_shadow' => array(
				'default' => array(
					'preset_1'  => '#000000',
					'preset_2'  => '#000000',
					'preset_3'  => '#000000',
					'preset_4'  => '#000000',
					'preset_5'  => '#000000',
					'preset_6'  => '#000000',
					'preset_7'  => '#000000',
					'preset_8'  => '#000000',
					'preset_9'  => '#000000',
					'preset_10' => '#000000',
					'preset_11' => '#000000',
					'preset_12' => '#000000',
					'preset_13' => '#000000',
					'preset_14' => '#000000',
					'preset_15' => '#000000',
				),
				'sanitize' => 'pen_sanitize_color',
			),
			'pen_color_navigation_text_shadow_display' => array(
				'default' => array(
					'preset_1'  => true,
					'preset_2'  => true,
					'preset_3'  => true,
					'preset_4'  => true,
					'preset_5'  => false,
					'preset_6'  => false,
					'preset_7'  => true,
					'preset_8'  => false,
					'preset_9'  => false,
					'preset_10' => true,
					'preset_11' => false,
					'preset_12' => false,
					'preset_13' => false,
					'preset_14' => false,
					'preset_15' => false,
				),
				'sanitize' => 'pen_sanitize_boolean',
			),
			'pen_color_navigation_link_submenu' => array(
				'default' => array(
					'preset_1'  => '#deeeff',
					'preset_2'  => '#de7e00',
					'preset_3'  => '#b0f4ff',
					'preset_4'  => '#bbaaf7',
					'preset_5'  => '#005d9e',
					'preset_6'  => '#8c448c',
					'preset_7'  => '#f3dddd',
					'preset_8'  => '#ffffff',
					'preset_9'  => '#212e02',
					'preset_10' => '#ffcc00',
					'preset_11' => '#ffffff',
					'preset_12' => '#ffffff',
					'preset_13' => '#ffffff',
					'preset_14' => '#ffffff',
					'preset_15' => '#333333',
				),
				'sanitize' => 'pen_sanitize_color',
			),
			'pen_color_navigation_link_hover_submenu' => array(
				'default' => array(
					'preset_1'  => '#ffffff',
					'preset_2'  => '#d98d00',
					'preset_3'  => '#ffffff',
					'preset_4'  => '#f3edff',
					'preset_5'  => '#ffffff',
					'preset_6'  => '#ab55ab',
					'preset_7'  => '#ffffff',
					'preset_8'  => '#ffd800',
					'preset_9'  => '#415d00',
					'preset_10' => '#ffee00',
					'preset_11' => '#ffffff',
					'preset_12' => '#00b7ff',
					'preset_13' => '#f07c45',
					'preset_14' => '#ffffff',
					'preset_15' => '#000000',
				),
				'sanitize' => 'pen_sanitize_color',
			),
			'pen_color_navigation_text_shadow_submenu' => array(
				'default' => array(
					'preset_1'  => '#000000',
					'preset_2'  => '#000000',
					'preset_3'  => '#000000',
					'preset_4'  => '#000000',
					'preset_5'  => '#000000',
					'preset_6'  => '#000000',
					'preset_7'  => '#000000',
					'preset_8'  => '#000000',
					'preset_9'  => '#000000',
					'preset_10' => '#000000',
					'preset_11' => '#000000',
					'preset_12' => '#000000',
					'preset_13' => '#000000',
					'preset_14' => '#000000',
					'preset_15' => '#000000',
				),
				'sanitize' => 'pen_sanitize_color',
			),
			'pen_color_navigation_text_shadow_display_submenu' => array(
				'default' => array(
					'preset_1'  => true,
					'preset_2'  => true,
					'preset_3'  => true,
					'preset_4'  => true,
					'preset_5'  => false,
					'preset_6'  => false,
					'preset_7'  => true,
					'preset_8'  => true,
					'preset_9'  => false,
					'preset_10' => true,
					'preset_11' => false,
					'preset_12' => false,
					'preset_13' => false,
					'preset_14' => false,
					'preset_15' => false,
				),
				'sanitize' => 'pen_sanitize_boolean',
			),
			'pen_color_search_background_primary' => array(
				'default' => array(
					'preset_1'  => '#8f8f8f',
					'preset_2'  => '#000000',
					'preset_3'  => '#00171a',
					'preset_4'  => '#1f1c59',
					'preset_5'  => '#003078',
					'preset_6'  => '#eacaea',
					'preset_7'  => '#333333',
					'preset_8'  => '#f4b3f0',
					'preset_9'  => '#709500',
					'preset_10' => '#ffd800',
					'preset_11' => '#003e3c',
					'preset_12' => '#333333',
					'preset_13' => '#ffffff',
					'preset_14' => '#005fad',
					'preset_15' => '#e5d500',
				),
				'sanitize' => 'pen_sanitize_color',
			),
			'pen_color_search_background_secondary' => array(
				'default' => array(
					'preset_1'  => '#5f5f5f',
					'preset_2'  => '#121212',
					'preset_3'  => '#000b0f',
					'preset_4'  => '#1e003f',
					'preset_5'  => '#001a42',
					'preset_6'  => '#fff2ff',
					'preset_7'  => '#111111',
					'preset_8'  => '#e883e2',
					'preset_9'  => '#709500',
					'preset_10' => '#ffd800',
					'preset_11' => '#003e3c',
					'preset_12' => '#333333',
					'preset_13' => '#ffffff',
					'preset_14' => '#005fad',
					'preset_15' => '#e5d500',
				),
				'sanitize' => 'pen_sanitize_color',
			),
			'pen_color_search_background_angle' => array(
				'default' => array(
					'preset_1'  => '125deg',
					'preset_2'  => '125deg',
					'preset_3'  => '125deg',
					'preset_4'  => '125deg',
					'preset_5'  => '125deg',
					'preset_6'  => 'to bottom',
					'preset_7'  => 'to bottom',
					'preset_8'  => '125deg',
					'preset_9'  => '125deg',
					'preset_10' => '125deg',
					'preset_11' => 'to bottom',
					'preset_12' => 'to bottom',
					'preset_13' => 'to bottom',
					'preset_14' => 'to bottom',
					'preset_15' => 'to bottom',
				),
				'sanitize' => 'pen_sanitize_string',
			),
			'pen_color_search_field_background_primary' => array(
				'default' => array(
					'preset_1'  => '#ffffff',
					'preset_2'  => '#ffffff',
					'preset_3'  => '#ffffff',
					'preset_4'  => '#0b000c',
					'preset_5'  => '#e1f1ff',
					'preset_6'  => '#fff2ff',
					'preset_7'  => '#000000',
					'preset_8'  => '#ffddfd',
					'preset_9'  => '#f0f8dd',
					'preset_10' => '#ffffff',
					'preset_11' => '#ffffff',
					'preset_12' => '#111111',
					'preset_13' => '#ffffff',
					'preset_14' => '#0c1b2c',
					'preset_15' => '#ffffff',
				),
				'sanitize' => 'pen_sanitize_color',
			),
			'pen_color_search_field_background_secondary' => array(
				'default' => array(
					'preset_1'  => '#ffffff',
					'preset_2'  => '#ffffff',
					'preset_3'  => '#ffffff',
					'preset_4'  => '#0b0020',
					'preset_5'  => '#f8fcff',
					'preset_6'  => '#ffffff',
					'preset_7'  => '#111111',
					'preset_8'  => '#ffffff',
					'preset_9'  => '#f0f8dd',
					'preset_10' => '#ffffff',
					'preset_11' => '#ffffff',
					'preset_12' => '#111111',
					'preset_13' => '#ffffff',
					'preset_14' => '#0c1b2c',
					'preset_15' => '#ffffff',
				),
				'sanitize' => 'pen_sanitize_color',
			),
			'pen_color_search_field_text' => array(
				'default' => array(
					'preset_1'  => '#333333',
					'preset_2'  => '#333333',
					'preset_3'  => '#333333',
					'preset_4'  => '#ffffff',
					'preset_5'  => '#333333',
					'preset_6'  => '#5f2d5f',
					'preset_7'  => '#aaaaaa',
					'preset_8'  => '#333333',
					'preset_9'  => '#445e08',
					'preset_10' => '#333333',
					'preset_11' => '#555555',
					'preset_12' => '#ffffff',
					'preset_13' => '#555555',
					'preset_14' => '#ffffff',
					'preset_15' => '#333333',
				),
				'sanitize' => 'pen_sanitize_color',
			),
			'pen_color_search_button_background_primary' => array(
				'default' => array(
					'preset_1'  => '#00a9ff',
					'preset_2'  => '#ff5100',
					'preset_3'  => '#007385',
					'preset_4'  => '#4400c4',
					'preset_5'  => '#3697ff',
					'preset_6'  => '#80437f',
					'preset_7'  => '#222222',
					'preset_8'  => '#cc1ac2',
					'preset_9'  => '#a0c11d',
					'preset_10' => '#333333',
					'preset_11' => '#00d3cf',
					'preset_12' => '#00b7ff',
					'preset_13' => '#333333',
					'preset_14' => '#ffca00',
					'preset_15' => '#1a74cc',
				),
				'sanitize' => 'pen_sanitize_color',
			),
			'pen_color_search_button_background_secondary' => array(
				'default' => array(
					'preset_1'  => '#093a89',
					'preset_2'  => '#ab3c00',
					'preset_3'  => '#00252b',
					'preset_4'  => '#12003f',
					'preset_5'  => '#0049bf',
					'preset_6'  => '#5f2d5f',
					'preset_7'  => '#111111',
					'preset_8'  => '#a71b9f',
					'preset_9'  => '#3b4d11',
					'preset_10' => '#000000',
					'preset_11' => '#00d3cf',
					'preset_12' => '#00b7ff',
					'preset_13' => '#333333',
					'preset_14' => '#ffca00',
					'preset_15' => '#1a74cc',
				),
				'sanitize' => 'pen_sanitize_color',
			),
			'pen_color_search_button_text' => array(
				'default' => array(
					'preset_1'  => '#ffffff',
					'preset_2'  => '#ffffff',
					'preset_3'  => '#ffffff',
					'preset_4'  => '#ffffff',
					'preset_5'  => '#ffffff',
					'preset_6'  => '#ffffff',
					'preset_7'  => '#ffffff',
					'preset_8'  => '#ffffff',
					'preset_9'  => '#ffffff',
					'preset_10' => '#ffffff',
					'preset_11' => '#000000',
					'preset_12' => '#ffffff',
					'preset_13' => '#ffffff',
					'preset_14' => '#000000',
					'preset_15' => '#ffed00',
				),
				'sanitize' => 'pen_sanitize_color',
			),
			'pen_color_search_text' => array(
				'default' => array(
					'preset_1'  => '#777777',
					'preset_2'  => '#eeeeee',
					'preset_3'  => '#ffffff',
					'preset_4'  => '#ffffff',
					'preset_5'  => '#b0f4ff',
					'preset_6'  => '#5f2d5f',
					'preset_7'  => '#dddddd',
					'preset_8'  => '#d437ca',
					'preset_9'  => '#ffffff',
					'preset_10' => '#444444',
					'preset_11' => '#777777',
					'preset_12' => '#ffffff',
					'preset_13' => '#333333',
					'preset_14' => '#ffffff',
					'preset_15' => '#333333',
				),
				'sanitize' => 'pen_sanitize_color',
			),
			'pen_color_search_link' => array(
				'default' => array(
					'preset_1'  => '#80ddff',
					'preset_2'  => '#de7e00',
					'preset_3'  => '#b0f4ff',
					'preset_4'  => '#deb8f9',
					'preset_5'  => '#ffe000',
					'preset_6'  => '#7f447f',
					'preset_7'  => '#f00000',
					'preset_8'  => '#ffffff',
					'preset_9'  => '#f5ff83',
					'preset_10' => '#777777',
					'preset_11' => '#ffffff',
					'preset_12' => '#00b7ff',
					'preset_13' => '#ff3300',
					'preset_14' => '#3c97de',
					'preset_15' => '#1a74cc',
				),
				'sanitize' => 'pen_sanitize_color',
			),
			'pen_color_search_link_hover' => array(
				'default' => array(
					'preset_1'  => '#cdf1ff',
					'preset_2'  => '#de5e00',
					'preset_3'  => '#ffffff',
					'preset_4'  => '#ffffff',
					'preset_5'  => '#fffc00',
					'preset_6'  => '#aa73aa',
					'preset_7'  => '#c00000',
					'preset_8'  => '#d437ca',
					'preset_9'  => '#edff25',
					'preset_10' => '#444444',
					'preset_11' => '#ffffff',
					'preset_12' => '#00b7ff',
					'preset_13' => '#ff3300',
					'preset_14' => '#3c97de',
					'preset_15' => '#1a74cc',
				),
				'sanitize' => 'pen_sanitize_color',
			),
			'pen_color_search_text_shadow' => array(
				'default' => array(
					'preset_1'  => '#000000',
					'preset_2'  => '#000000',
					'preset_3'  => '#000000',
					'preset_4'  => '#000000',
					'preset_5'  => '#000000',
					'preset_6'  => '#000000',
					'preset_7'  => '#000000',
					'preset_8'  => '#000000',
					'preset_9'  => '#000000',
					'preset_10' => '#000000',
					'preset_11' => '#000000',
					'preset_12' => '#000000',
					'preset_13' => '#000000',
					'preset_14' => '#000000',
					'preset_15' => '#000000',
				),
				'sanitize' => 'pen_sanitize_color',
			),
			'pen_color_search_text_shadow_display' => array(
				'default' => array(
					'preset_1'  => true,
					'preset_2'  => true,
					'preset_3'  => true,
					'preset_4'  => true,
					'preset_5'  => true,
					'preset_6'  => false,
					'preset_7'  => true,
					'preset_8'  => false,
					'preset_9'  => true,
					'preset_10' => false,
					'preset_11' => false,
					'preset_12' => false,
					'preset_13' => false,
					'preset_14' => false,
					'preset_15' => false,
				),
				'sanitize' => 'pen_sanitize_boolean',
			),
			'pen_color_content_title_background_primary' => array(
				'default' => array(
					'preset_1'  => '#ffffff',
					'preset_2'  => '#1f1f1f',
					'preset_3'  => '#002526',
					'preset_4'  => '#1f0048',
					'preset_5'  => '#ffffff',
					'preset_6'  => '#f7e7f7',
					'preset_7'  => '#0f0f0f',
					'preset_8'  => '#84007c',
					'preset_9'  => '#7b9b00',
					'preset_10' => '#000000',
					'preset_11' => '#ffffff',
					'preset_12' => '#444444',
					'preset_13' => '#333333',
					'preset_14' => '#ffffff',
					'preset_15' => '#001a4a',
				),
				'sanitize' => 'pen_sanitize_color',
			),
			'pen_color_content_title_background_secondary' => array(
				'default' => array(
					'preset_1'  => '#dddddd',
					'preset_2'  => '#000000',
					'preset_3'  => '#000000',
					'preset_4'  => '#34004c',
					'preset_5'  => '#ffffff',
					'preset_6'  => '#f7e7f7',
					'preset_7'  => '#000000',
					'preset_8'  => '#a71b9f',
					'preset_9'  => '#a0c11d',
					'preset_10' => '#101010',
					'preset_11' => '#ffffff',
					'preset_12' => '#444444',
					'preset_13' => '#333333',
					'preset_14' => '#ffffff',
					'preset_15' => '#001a4a',
				),
				'sanitize' => 'pen_sanitize_color',
			),
			'pen_color_content_title_background_angle' => array(
				'default' => array(
					'preset_1'  => '125deg',
					'preset_2'  => '125deg',
					'preset_3'  => '125deg',
					'preset_4'  => '125deg',
					'preset_5'  => '125deg',
					'preset_6'  => '125deg',
					'preset_7'  => 'to bottom',
					'preset_8'  => '125deg',
					'preset_9'  => '125deg',
					'preset_10' => '125deg',
					'preset_11' => 'to bottom',
					'preset_12' => 'to bottom',
					'preset_13' => 'to bottom',
					'preset_14' => 'to bottom',
					'preset_15' => 'to bottom',
				),
				'sanitize' => 'pen_sanitize_string',
			),
			'pen_color_content_title_text' => array(
				'default' => array(
					'preset_1'  => '#333333',
					'preset_2'  => '#eeeeee',
					'preset_3'  => '#ffffff',
					'preset_4'  => '#e2d8ff',
					'preset_5'  => '#333333',
					'preset_6'  => '#841c84',
					'preset_7'  => '#ffffff',
					'preset_8'  => '#ffffff',
					'preset_9'  => '#ffffff',
					'preset_10' => '#ffff00',
					'preset_11' => '#333333',
					'preset_12' => '#ffffff',
					'preset_13' => '#ffffff',
					'preset_14' => '#333333',
					'preset_15' => '#ffffff',
				),
				'sanitize' => 'pen_sanitize_color',
			),
			'pen_color_content_title_text_shadow' => array(
				'default' => array(
					'preset_1'  => '#ffffff',
					'preset_2'  => '#000000',
					'preset_3'  => '#000000',
					'preset_4'  => '#000000',
					'preset_5'  => '#000000',
					'preset_6'  => '#000000',
					'preset_7'  => '#000000',
					'preset_8'  => '#000000',
					'preset_9'  => '#000000',
					'preset_10' => '#000000',
					'preset_11' => '#000000',
					'preset_12' => '#000000',
					'preset_13' => '#000000',
					'preset_14' => '#000000',
					'preset_15' => '#000000',
				),
				'sanitize' => 'pen_sanitize_color',
			),
			'pen_color_content_title_text_shadow_display' => array(
				'default' => array(
					'preset_1'  => true,
					'preset_2'  => true,
					'preset_3'  => true,
					'preset_4'  => true,
					'preset_5'  => false,
					'preset_6'  => false,
					'preset_7'  => true,
					'preset_8'  => true,
					'preset_9'  => true,
					'preset_10' => true,
					'preset_11' => false,
					'preset_12' => false,
					'preset_13' => false,
					'preset_14' => false,
					'preset_15' => false,
				),
				'sanitize' => 'pen_sanitize_boolean',
			),
			'pen_color_content_title_link' => array(
				'default' => array(
					'preset_1'  => '#000000',
					'preset_2'  => '#ffffff',
					'preset_3'  => '#aaf0e9',
					'preset_4'  => '#d5ccff',
					'preset_5'  => '#0088cc',
					'preset_6'  => '#bb71bb',
					'preset_7'  => '#ffffff',
					'preset_8'  => '#ffd1fc',
					'preset_9'  => '#ffffff',
					'preset_10' => '#ffcc00',
					'preset_11' => '#009f92',
					'preset_12' => '#00b7ff',
					'preset_13' => '#f07c45',
					'preset_14' => '#3c97de',
					'preset_15' => '#ffed00',
				),
				'sanitize' => 'pen_sanitize_color',
			),
			'pen_color_content_title_link_hover' => array(
				'default' => array(
					'preset_1'  => '#0087cc',
					'preset_2'  => '#ffab19',
					'preset_3'  => '#82bfbd',
					'preset_4'  => '#beb3fc',
					'preset_5'  => '#b83a00',
					'preset_6'  => '#841c84',
					'preset_7'  => '#e00000',
					'preset_8'  => '#ffffff',
					'preset_9'  => '#e9ff83',
					'preset_10' => '#fff800',
					'preset_11' => '#009f92',
					'preset_12' => '#00b7ff',
					'preset_13' => '#f07c45',
					'preset_14' => '#3c97de',
					'preset_15' => '#ffed00',
				),
				'sanitize' => 'pen_sanitize_color',
			),
			'pen_color_content_background_primary' => array(
				'default' => array(
					'preset_1'  => '#ffffff',
					'preset_2'  => '#efefef',
					'preset_3'  => '#001012',
					'preset_4'  => '#0f001c',
					'preset_5'  => '#00123a',
					'preset_6'  => '#ead4ea',
					'preset_7'  => '#303030',
					'preset_8'  => '#fff7ff',
					'preset_9'  => '#000000',
					'preset_10' => '#ffd800',
					'preset_11' => '#f5f5f5',
					'preset_12' => '#333333',
					'preset_13' => '#000000',
					'preset_14' => '#f0f0f0',
					'preset_15' => '#000b29',
				),
				'sanitize' => 'pen_sanitize_color',
			),
			'pen_color_content_thumbnail_frame' => array(
				'default' => array(
					'preset_1'  => '#ffffff',
					'preset_2'  => '#ffffff',
					'preset_3'  => '#ffffff',
					'preset_4'  => '#000000',
					'preset_5'  => '#ffffff',
					'preset_6'  => '#ffffff',
					'preset_7'  => '#ffffff',
					'preset_8'  => '#ffffff',
					'preset_9'  => '#ffffff',
					'preset_10' => '#ffffff',
					'preset_11' => '#ffffff',
					'preset_12' => '#ffffff',
					'preset_13' => '#ffffff',
					'preset_14' => '#ffffff',
					'preset_15' => '#ffffff',
				),
				'sanitize' => 'pen_sanitize_color',
			),
			'pen_color_list_thumbnail_frame' => array( /* Plain lists only */
				'default' => array(
					'preset_1'  => '#ffffff',
					'preset_2'  => '#ffffff',
					'preset_3'  => '#ffffff',
					'preset_4'  => '#000000',
					'preset_5'  => '#ffffff',
					'preset_6'  => '#ffffff',
					'preset_7'  => '#ffffff',
					'preset_8'  => '#ffffff',
					'preset_9'  => '#ffffff',
					'preset_10' => '#ffffff',
					'preset_11' => '#ffffff',
					'preset_12' => '#ffffff',
					'preset_13' => '#ffffff',
					'preset_14' => '#ffffff',
					'preset_15' => '#ffffff',
				),
				'sanitize' => 'pen_sanitize_color',
			),
			'pen_color_list_thumbnail_background_primary' => array( /* Only for the jQuery Masonry layout */
				'default' => array(
					'preset_1'  => '#ff8800',
					'preset_2'  => '#ff8800',
					'preset_3'  => '#00b084',
					'preset_4'  => '#3c0080',
					'preset_5'  => '#ff8800',
					'preset_6'  => '#c27abd',
					'preset_7'  => '#555555',
					'preset_8'  => '#950d8d',
					'preset_9'  => '#71890e',
					'preset_10' => '#ff8800',
					'preset_11' => '#5cd4d0',
					'preset_12' => '#52b8ff',
					'preset_13' => '#f07c45',
					'preset_14' => '#2d77b3',
					'preset_15' => '#ffed00',
				),
				'sanitize' => 'pen_sanitize_color',
			),
			'pen_color_list_thumbnail_background_secondary' => array( /* Only for the jQuery Masonry layout */
				'default' => array(
					'preset_1'  => '#ffd800',
					'preset_2'  => '#ffd800',
					'preset_3'  => '#00ffc9',
					'preset_4'  => '#5e00e3',
					'preset_5'  => '#ffd800',
					'preset_6'  => '#ffdfff',
					'preset_7'  => '#aaaaaa',
					'preset_8'  => '#e3a0df',
					'preset_9'  => '#b1e700',
					'preset_10' => '#ff8800',
					'preset_11' => '#5cd4d0',
					'preset_12' => '#52b8ff',
					'preset_13' => '#f07c45',
					'preset_14' => '#2d77b3',
					'preset_15' => '#ffed00',
				),
				'sanitize' => 'pen_sanitize_color',
			),
			'pen_color_content_field_background_primary' => array(
				'default' => array(
					'preset_1'  => '#ffffff',
					'preset_2'  => '#000000',
					'preset_3'  => '#00333a',
					'preset_4'  => '#1b014c',
					'preset_5'  => '#0f1e38',
					'preset_6'  => '#fff2ff',
					'preset_7'  => '#333333',
					'preset_8'  => '#ffdffd',
					'preset_9'  => '#333333',
					'preset_10' => '#333333',
					'preset_11' => '#ffffff',
					'preset_12' => '#555555',
					'preset_13' => '#aaaaaa',
					'preset_14' => '#123a5f',
					'preset_15' => '#071d44',
				),
				'sanitize' => 'pen_sanitize_color',
			),
			'pen_color_content_field_background_secondary' => array(
				'default' => array(
					'preset_1'  => '#ffffff',
					'preset_2'  => '#101010',
					'preset_3'  => '#00545f',
					'preset_4'  => '#1b003a',
					'preset_5'  => '#031024',
					'preset_6'  => '#ffffff',
					'preset_7'  => '#444444',
					'preset_8'  => '#fff9ff',
					'preset_9'  => '#333333',
					'preset_10' => '#444444',
					'preset_11' => '#ffffff',
					'preset_12' => '#555555',
					'preset_13' => '#aaaaaa',
					'preset_14' => '#123a5f',
					'preset_15' => '#071d44',
				),
				'sanitize' => 'pen_sanitize_color',
			),
			'pen_color_content_field_text' => array(
				'default' => array(
					'preset_1'  => '#333333',
					'preset_2'  => '#ffffff',
					'preset_3'  => '#c7e8ec',
					'preset_4'  => '#dfcaff',
					'preset_5'  => '#cee0f5',
					'preset_6'  => '#5f2d5f',
					'preset_7'  => '#bbbbbb',
					'preset_8'  => '#b70ead',
					'preset_9'  => '#a3ca5b',
					'preset_10' => '#ffffff',
					'preset_11' => '#333333',
					'preset_12' => '#cccccc',
					'preset_13' => '#333333',
					'preset_14' => '#ffffff',
					'preset_15' => '#ffffff',
				),
				'sanitize' => 'pen_sanitize_color',
			),
			'pen_color_content_text' => array(
				'default' => array(
					'preset_1'  => '#333333',
					'preset_2'  => '#333333',
					'preset_3'  => '#d0eaed',
					'preset_4'  => '#d7ceea',
					'preset_5'  => '#70cdff',
					'preset_6'  => '#2f152f',
					'preset_7'  => '#eeeeee',
					'preset_8'  => '#2c042a',
					'preset_9'  => '#ffffff',
					'preset_10' => '#000000',
					'preset_11' => '#333333',
					'preset_12' => '#ffffff',
					'preset_13' => '#ffffff',
					'preset_14' => '#333333',
					'preset_15' => '#ffffff',
				),
				'sanitize' => 'pen_sanitize_color',
			),
			'pen_color_content_link' => array(
				'default' => array(
					'preset_1'  => '#0087cc',
					'preset_2'  => '#de5e00',
					'preset_3'  => '#51eddd',
					'preset_4'  => '#998ace',
					'preset_5'  => '#ffdd00',
					'preset_6'  => '#b55fb5',
					'preset_7'  => '#d00000',
					'preset_8'  => '#a71b9f',
					'preset_9'  => '#a0c11d',
					'preset_10' => '#ff5500',
					'preset_11' => '#009f92',
					'preset_12' => '#00b7ff',
					'preset_13' => '#f07c45',
					'preset_14' => '#004c98',
					'preset_15' => '#00a9ff',
				),
				'sanitize' => 'pen_sanitize_color',
			),
			'pen_color_content_link_hover' => array(
				'default' => array(
					'preset_1'  => '#18b1e7',
					'preset_2'  => '#ff5100',
					'preset_3'  => '#32b3a6',
					'preset_4'  => '#4d3a90',
					'preset_5'  => '#ffb700',
					'preset_6'  => '#aa73aa',
					'preset_7'  => '#e00000',
					'preset_8'  => '#a71b9f',
					'preset_9'  => '#a0c11d',
					'preset_10' => '#000000',
					'preset_11' => '#009f92',
					'preset_12' => '#00b7ff',
					'preset_13' => '#f07c45',
					'preset_14' => '#123a5f',
					'preset_15' => '#1f7ed4',
				),
				'sanitize' => 'pen_sanitize_color',
			),
			'pen_color_bottom_background_transparent' => array(
				'default' => array(
					'preset_1'  => false,
					'preset_2'  => false,
					'preset_3'  => false,
					'preset_4'  => false,
					'preset_5'  => false,
					'preset_6'  => false,
					'preset_7'  => false,
					'preset_8'  => false,
					'preset_9'  => false,
					'preset_10' => false,
					'preset_11' => false,
					'preset_12' => false,
					'preset_13' => false,
					'preset_14' => false,
					'preset_15' => false,
				),
				'sanitize' => 'pen_sanitize_boolean',
			),
			'pen_color_bottom_background_primary' => array(
				'default' => array(
					'preset_1'  => '#1f1f1f',
					'preset_2'  => '#222222',
					'preset_3'  => '#001f24',
					'preset_4'  => '#1f0030',
					'preset_5'  => '#003078',
					'preset_6'  => '#ecddec',
					'preset_7'  => '#101010',
					'preset_8'  => '#5b0055',
					'preset_9'  => '#000000',
					'preset_10' => '#333333',
					'preset_11' => '#000000',
					'preset_12' => '#333333',
					'preset_13' => '#333333',
					'preset_14' => '#001a42',
					'preset_15' => '#072b5f',
				),
				'sanitize' => 'pen_sanitize_color',
			),
			'pen_color_bottom_background_secondary' => array(
				'default' => array(
					'preset_1'  => '#1f1f1f',
					'preset_2'  => '#121212',
					'preset_3'  => '#00121a',
					'preset_4'  => '#170021',
					'preset_5'  => '#001a42',
					'preset_6'  => '#ead4ea',
					'preset_7'  => '#070707',
					'preset_8'  => '#0a0009',
					'preset_9'  => '#0e1100',
					'preset_10' => '#0f0f0f',
					'preset_11' => '#000000',
					'preset_12' => '#333333',
					'preset_13' => '#333333',
					'preset_14' => '#001a42',
					'preset_15' => '#072b5f',
				),
				'sanitize' => 'pen_sanitize_color',
			),
			'pen_color_bottom_background_angle' => array(
				'default' => array(
					'preset_1'  => '125deg',
					'preset_2'  => '125deg',
					'preset_3'  => '125deg',
					'preset_4'  => '125deg',
					'preset_5'  => '125deg',
					'preset_6'  => 'to bottom',
					'preset_7'  => 'to bottom',
					'preset_8'  => '125deg',
					'preset_9'  => '125deg',
					'preset_10' => '125deg',
					'preset_11' => 'to bottom',
					'preset_12' => 'to bottom',
					'preset_13' => 'to bottom',
					'preset_14' => 'to bottom',
					'preset_15' => 'to bottom',
				),
				'sanitize' => 'pen_sanitize_string',
			),
			'pen_color_bottom_text' => array(
				'default' => array(
					'preset_1'  => '#fefefe',
					'preset_2'  => '#9c9c9c',
					'preset_3'  => '#67adb8',
					'preset_4'  => '#7661ad',
					'preset_5'  => '#fefefe',
					'preset_6'  => '#5f2a5f',
					'preset_7'  => '#eeeeee',
					'preset_8'  => '#ffffff',
					'preset_9'  => '#ffffff',
					'preset_10' => '#ffffff',
					'preset_11' => '#e3fffa',
					'preset_12' => '#ffffff',
					'preset_13' => '#ffffff',
					'preset_14' => '#ffffff',
					'preset_15' => '#ffffff',
				),
				'sanitize' => 'pen_sanitize_color',
			),
			'pen_color_bottom_link' => array(
				'default' => array(
					'preset_1'  => '#0087cc',
					'preset_2'  => '#8d5b20',
					'preset_3'  => '#189490',
					'preset_4'  => '#a59ad6',
					'preset_5'  => '#0087cc',
					'preset_6'  => '#aa73aa',
					'preset_7'  => '#aaaaaa',
					'preset_8'  => '#ca43c2',
					'preset_9'  => '#caed3c',
					'preset_10' => '#ffcc00',
					'preset_11' => '#00d3cf',
					'preset_12' => '#00b7ff',
					'preset_13' => '#ffffff',
					'preset_14' => '#ffffff',
					'preset_15' => '#ffffff',
				),
				'sanitize' => 'pen_sanitize_color',
			),
			'pen_color_bottom_link_hover' => array(
				'default' => array(
					'preset_1'  => '#18b1e7',
					'preset_2'  => '#e34f04',
					'preset_3'  => '#19e6d8',
					'preset_4'  => '#aa71e2',
					'preset_5'  => '#ffd800',
					'preset_6'  => '#7f447f',
					'preset_7'  => '#e00000',
					'preset_8'  => '#a71b9f',
					'preset_9'  => '#a0c11d',
					'preset_10' => '#ffff00',
					'preset_11' => '#00d3cf',
					'preset_12' => '#eeeeee',
					'preset_13' => '#f07c45',
					'preset_14' => '#ffca00',
					'preset_15' => '#eeeeee',
				),
				'sanitize' => 'pen_sanitize_color',
			),
			'pen_color_bottom_text_shadow' => array(
				'default' => array(
					'preset_1'  => '#000000',
					'preset_2'  => '#000000',
					'preset_3'  => '#000000',
					'preset_4'  => '#000000',
					'preset_5'  => '#000000',
					'preset_6'  => '#000000',
					'preset_7'  => '#000000',
					'preset_8'  => '#000000',
					'preset_9'  => '#000000',
					'preset_10' => '#000000',
					'preset_11' => '#000000',
					'preset_12' => '#000000',
					'preset_13' => '#000000',
					'preset_14' => '#000000',
					'preset_15' => '#000000',
				),
				'sanitize' => 'pen_sanitize_color',
			),
			'pen_color_bottom_text_shadow_display' => array(
				'default' => array(
					'preset_1'  => true,
					'preset_2'  => true,
					'preset_3'  => true,
					'preset_4'  => true,
					'preset_5'  => true,
					'preset_6'  => false,
					'preset_7'  => true,
					'preset_8'  => true,
					'preset_9'  => true,
					'preset_10' => true,
					'preset_11' => false,
					'preset_12' => false,
					'preset_13' => false,
					'preset_14' => false,
					'preset_15' => false,
				),
				'sanitize' => 'pen_sanitize_boolean',
			),
			'pen_color_bottom_headings' => array(
				'default' => array(
					'preset_1'  => '#ffffff',
					'preset_2'  => '#e8a200',
					'preset_3'  => '#bdfcff',
					'preset_4'  => '#b797fc',
					'preset_5'  => '#ffffff',
					'preset_6'  => '#aa73aa',
					'preset_7'  => '#ffffff',
					'preset_8'  => '#ffffff',
					'preset_9'  => '#ffffff',
					'preset_10' => '#ffffff',
					'preset_11' => '#ffffff',
					'preset_12' => '#ffffff',
					'preset_13' => '#ffffff',
					'preset_14' => '#ffffff',
					'preset_15' => '#ffffff',
				),
				'sanitize' => 'pen_sanitize_color',
			),
			'pen_color_bottom_headings_text_shadow' => array(
				'default' => array(
					'preset_1'  => '#000000',
					'preset_2'  => '#000000',
					'preset_3'  => '#000000',
					'preset_4'  => '#000000',
					'preset_5'  => '#000000',
					'preset_6'  => '#000000',
					'preset_7'  => '#000000',
					'preset_8'  => '#000000',
					'preset_9'  => '#000000',
					'preset_10' => '#000000',
					'preset_11' => '#000000',
					'preset_12' => '#000000',
					'preset_13' => '#000000',
					'preset_14' => '#000000',
					'preset_15' => '#000000',
				),
				'sanitize' => 'pen_sanitize_color',
			),
			'pen_color_bottom_headings_text_shadow_display' => array(
				'default' => array(
					'preset_1'  => true,
					'preset_2'  => true,
					'preset_3'  => true,
					'preset_4'  => true,
					'preset_5'  => true,
					'preset_6'  => false,
					'preset_7'  => true,
					'preset_8'  => true,
					'preset_9'  => true,
					'preset_10' => true,
					'preset_11' => false,
					'preset_12' => false,
					'preset_13' => false,
					'preset_14' => false,
					'preset_15' => false,
				),
				'sanitize' => 'pen_sanitize_boolean',
			),
			'pen_color_bottom_field_background_primary' => array(
				'default' => array(
					'preset_1'  => '#1f1f1f',
					'preset_2'  => '#333333',
					'preset_3'  => '#002f40',
					'preset_4'  => '#32034c',
					'preset_5'  => '#000000',
					'preset_6'  => '#ffe2ff',
					'preset_7'  => '#1f1f1f',
					'preset_8'  => '#000000',
					'preset_9'  => '#1f1f1f',
					'preset_10' => '#333333',
					'preset_11' => '#f5fffe',
					'preset_12' => '#555555',
					'preset_13' => '#555555',
					'preset_14' => '#1f4d94',
					'preset_15' => '#081b3e',
				),
				'sanitize' => 'pen_sanitize_color',
			),
			'pen_color_bottom_field_background_secondary' => array(
				'default' => array(
					'preset_1'  => '#2f2f2f',
					'preset_2'  => '#444444',
					'preset_3'  => '#00475d',
					'preset_4'  => '#32034c',
					'preset_5'  => '#000000',
					'preset_6'  => '#ffeaff',
					'preset_7'  => '#222222',
					'preset_8'  => '#150014',
					'preset_9'  => '#2f2f2f',
					'preset_10' => '#444444',
					'preset_11' => '#f5fffe',
					'preset_12' => '#555555',
					'preset_13' => '#555555',
					'preset_14' => '#1f4d94',
					'preset_15' => '#081b3e',
				),
				'sanitize' => 'pen_sanitize_color',
			),
			'pen_color_bottom_field_text' => array(
				'default' => array(
					'preset_1'  => '#aaaaaa',
					'preset_2'  => '#dddddd',
					'preset_3'  => '#67adb8',
					'preset_4'  => '#aa71e2',
					'preset_5'  => '#ffffff',
					'preset_6'  => '#5f2d5f',
					'preset_7'  => '#af55a9',
					'preset_8'  => '#ffffff',
					'preset_9'  => '#709500',
					'preset_10' => '#ffcd00',
					'preset_11' => '#333333',
					'preset_12' => '#dddddd',
					'preset_13' => '#cccccc',
					'preset_14' => '#eeeeee',
					'preset_15' => '#ffffff',
				),
				'sanitize' => 'pen_sanitize_color',
			),
			'pen_color_footer_background_transparent' => array(
				'default' => array(
					'preset_1'  => false,
					'preset_2'  => false,
					'preset_3'  => false,
					'preset_4'  => false,
					'preset_5'  => false,
					'preset_6'  => false,
					'preset_7'  => false,
					'preset_8'  => false,
					'preset_9'  => false,
					'preset_10' => false,
					'preset_11' => false,
					'preset_12' => false,
					'preset_13' => false,
					'preset_14' => false,
					'preset_15' => false,
				),
				'sanitize' => 'pen_sanitize_boolean',
			),
			'pen_color_footer_background_primary' => array(
				'default' => array(
					'preset_1'  => '#000000',
					'preset_2'  => '#000000',
					'preset_3'  => '#00090d',
					'preset_4'  => '#0c001e',
					'preset_5'  => '#001a42',
					'preset_6'  => '#ecddec',
					'preset_7'  => '#000000',
					'preset_8'  => '#ffffff',
					'preset_9'  => '#212d04',
					'preset_10' => '#000000',
					'preset_11' => '#255d5b',
					'preset_12' => '#000000',
					'preset_13' => '#000000',
					'preset_14' => '#004c98',
					'preset_15' => '#000000',
				),
				'sanitize' => 'pen_sanitize_color',
			),
			'pen_color_footer_background_secondary' => array(
				'default' => array(
					'preset_1'  => '#000000',
					'preset_2'  => '#0a0a0a',
					'preset_3'  => '#00090a',
					'preset_4'  => '#0a000a',
					'preset_5'  => '#00030a',
					'preset_6'  => '#ecddec',
					'preset_7'  => '#0a0a0a',
					'preset_8'  => '#ffffff',
					'preset_9'  => '#000000',
					'preset_10' => '#000000',
					'preset_11' => '#255d5b',
					'preset_12' => '#000000',
					'preset_13' => '#000000',
					'preset_14' => '#004c98',
					'preset_15' => '#000000',
				),
				'sanitize' => 'pen_sanitize_color',
			),
			'pen_color_footer_background_angle' => array(
				'default' => array(
					'preset_1'  => '125deg',
					'preset_2'  => '125deg',
					'preset_3'  => '125deg',
					'preset_4'  => '125deg',
					'preset_5'  => '125deg',
					'preset_6'  => '125deg',
					'preset_7'  => 'to bottom',
					'preset_8'  => '125deg',
					'preset_9'  => '125deg',
					'preset_10' => '125deg',
					'preset_11' => 'to bottom',
					'preset_12' => 'to bottom',
					'preset_13' => 'to bottom',
					'preset_14' => 'to bottom',
					'preset_15' => 'to bottom',
				),
				'sanitize' => 'pen_sanitize_string',
			),
			'pen_color_footer_text' => array(
				'default' => array(
					'preset_1'  => '#808080',
					'preset_2'  => '#575757',
					'preset_3'  => '#314e52',
					'preset_4'  => '#a046f4',
					'preset_5'  => '#ebf2ff',
					'preset_6'  => '#777777',
					'preset_7'  => '#aaaaaa',
					'preset_8'  => '#7e0f78',
					'preset_9'  => '#f0f8dd',
					'preset_10' => '#555555',
					'preset_11' => '#e3fffa',
					'preset_12' => '#333333',
					'preset_13' => '#777777',
					'preset_14' => '#ffffff',
					'preset_15' => '#aaaaaa',
				),
				'sanitize' => 'pen_sanitize_color',
			),
			'pen_color_footer_link' => array(
				'default' => array(
					'preset_1'  => '#dddddd',
					'preset_2'  => '#de5e00',
					'preset_3'  => '#316b66',
					'preset_4'  => '#8224e3',
					'preset_5'  => '#bddbff',
					'preset_6'  => '#aa73aa',
					'preset_7'  => '#aaaaaa',
					'preset_8'  => '#a71b9f',
					'preset_9'  => '#a0c11d',
					'preset_10' => '#ffd800',
					'preset_11' => '#e3fffa',
					'preset_12' => '#dddddd',
					'preset_13' => '#dddddd',
					'preset_14' => '#93c9ff',
					'preset_15' => '#dddddd',
				),
				'sanitize' => 'pen_sanitize_color',
			),
			'pen_color_footer_link_hover' => array(
				'default' => array(
					'preset_1'  => '#ffffff',
					'preset_2'  => '#b74d00',
					'preset_3'  => '#11b0b0',
					'preset_4'  => '#aa71e2',
					'preset_5'  => '#ffbf00',
					'preset_6'  => '#7f447f',
					'preset_7'  => '#c00000',
					'preset_8'  => '#ca43c2',
					'preset_9'  => '#caed3c',
					'preset_10' => '#ffff00',
					'preset_11' => '#ffffff',
					'preset_12' => '#00b7ff',
					'preset_13' => '#f07c45',
					'preset_14' => '#ffffff',
					'preset_15' => '#eeeeee',
				),
				'sanitize' => 'pen_sanitize_color',
			),
			'pen_color_footer_text_shadow' => array(
				'default' => array(
					'preset_1'  => '#000000',
					'preset_2'  => '#000000',
					'preset_3'  => '#000000',
					'preset_4'  => '#000000',
					'preset_5'  => '#000000',
					'preset_6'  => '#000000',
					'preset_7'  => '#000000',
					'preset_8'  => '#000000',
					'preset_9'  => '#000000',
					'preset_10' => '#000000',
					'preset_11' => '#000000',
					'preset_12' => '#000000',
					'preset_13' => '#000000',
					'preset_14' => '#000000',
					'preset_15' => '#000000',
				),
				'sanitize' => 'pen_sanitize_color',
			),
			'pen_color_footer_text_shadow_display' => array(
				'default' => array(
					'preset_1'  => true,
					'preset_2'  => true,
					'preset_3'  => true,
					'preset_4'  => true,
					'preset_5'  => true,
					'preset_6'  => false,
					'preset_7'  => true,
					'preset_8'  => false,
					'preset_9'  => false,
					'preset_10' => false,
					'preset_11' => false,
					'preset_12' => false,
					'preset_13' => false,
					'preset_14' => false,
					'preset_15' => false,
				),
				'sanitize' => 'pen_sanitize_boolean',
			),
			'pen_font_family_site' => array(
				'default' => array(
					'preset_1'  => 'g:Roboto',
					'preset_2'  => 'g:Cinzel',
					'preset_3'  => 'g:Exo 2',
					'preset_4'  => 'g:Neris',
					'preset_5'  => 'g:Montserrat',
					'preset_6'  => 'g:Roboto',
					'preset_7'  => 'g:Roboto Slab',
					'preset_8'  => 'g:Ubuntu',
					'preset_9'  => 'g:Cabin',
					'preset_10' => 'g:Raleway',
				),
				'sanitize' => 'pen_sanitize_font_family',
			),
			'pen_font_family_headings' => array(
				'default' => array(
					'preset_1'  => 'g:Roboto',
					'preset_2'  => 'g:Cinzel',
					'preset_3'  => 'g:Exo 2',
					'preset_4'  => 'g:Neris',
					'preset_5'  => 'g:Montserrat',
					'preset_6'  => 'g:Roboto',
					'preset_7'  => 'g:Roboto Slab',
					'preset_8'  => 'g:Ubuntu',
					'preset_9'  => 'g:Cabin',
					'preset_10' => 'g:Raleway',
				),
				'sanitize' => 'pen_sanitize_font_family',
			),
			'pen_font_family_sitetitle' => array(
				'default' => array(
					'preset_1'  => 'g:Roboto',
					'preset_2'  => 'g:Cinzel',
					'preset_3'  => 'g:Exo 2',
					'preset_4'  => 'g:Neris',
					'preset_5'  => 'g:Montserrat',
					'preset_6'  => 'g:Roboto',
					'preset_7'  => 'g:Roboto Slab',
					'preset_8'  => 'g:Ubuntu',
					'preset_9'  => 'g:Cabin',
					'preset_10' => 'g:Raleway',
				),
				'sanitize' => 'pen_sanitize_font_family',
			),
			'pen_font_family_sitedescription' => array(
				'default' => array(
					'preset_1'  => 'g:Roboto',
					'preset_2'  => 'g:Cinzel',
					'preset_3'  => 'g:Exo 2',
					'preset_4'  => 'g:Neris',
					'preset_5'  => 'g:Montserrat',
					'preset_6'  => 'g:Roboto',
					'preset_7'  => 'g:Roboto Slab',
					'preset_8'  => 'g:Ubuntu',
					'preset_9'  => 'g:Cabin',
					'preset_10' => 'g:Raleway',
				),
				'sanitize' => 'pen_sanitize_font_family',
			),
			'pen_font_family_phone_header' => array(
				'default' => array(
					'preset_1'  => 'g:Roboto',
					'preset_2'  => 'g:Cinzel',
					'preset_3'  => 'g:Exo 2',
					'preset_4'  => 'g:Neris',
					'preset_5'  => 'g:Montserrat',
					'preset_6'  => 'g:Roboto',
					'preset_7'  => 'g:Roboto Slab',
					'preset_8'  => 'g:Ubuntu',
					'preset_9'  => 'g:Cabin',
					'preset_10' => 'g:Raleway',
				),
				'sanitize' => 'pen_sanitize_font_family',
			),
			'pen_font_family_phone_footer' => array(
				'default' => array(
					'preset_1'  => 'g:Roboto',
					'preset_2'  => 'g:Cinzel',
					'preset_3'  => 'g:Exo 2',
					'preset_4'  => 'g:Neris',
					'preset_5'  => 'g:Montserrat',
					'preset_6'  => 'g:Roboto',
					'preset_7'  => 'g:Roboto Slab',
					'preset_8'  => 'g:Ubuntu',
					'preset_9'  => 'g:Cabin',
					'preset_10' => 'g:Raleway',
				),
				'sanitize' => 'pen_sanitize_font_family',
			),
			'pen_font_family_navigation' => array(
				'default' => array(
					'preset_1'  => 'g:Roboto',
					'preset_2'  => 'g:Cinzel',
					'preset_3'  => 'g:Exo 2',
					'preset_4'  => 'g:Neris',
					'preset_5'  => 'g:Montserrat',
					'preset_6'  => 'g:Roboto',
					'preset_7'  => 'g:Roboto Slab',
					'preset_8'  => 'g:Ubuntu',
					'preset_9'  => 'g:Cabin',
					'preset_10' => 'g:Raleway',
				),
				'sanitize' => 'pen_sanitize_font_family',
			),
			'pen_font_family_navigation_submenu' => array(
				'default' => array(
					'preset_1'  => 'g:Roboto',
					'preset_2'  => 'g:Cinzel',
					'preset_3'  => 'g:Exo 2',
					'preset_4'  => 'g:Neris',
					'preset_5'  => 'g:Montserrat',
					'preset_6'  => 'g:Roboto',
					'preset_7'  => 'g:Roboto Slab',
					'preset_8'  => 'g:Ubuntu',
					'preset_9'  => 'g:Cabin',
					'preset_10' => 'g:Raleway',
				),
				'sanitize' => 'pen_sanitize_font_family',
			),
			'pen_font_family_forms' => array(
				'default' => array(
					'preset_1'  => 'g:Roboto',
					'preset_2'  => 'g:Cinzel',
					'preset_3'  => 'g:Exo 2',
					'preset_4'  => 'g:Neris',
					'preset_5'  => 'g:Montserrat',
					'preset_6'  => 'g:Roboto',
					'preset_7'  => 'g:Roboto Slab',
					'preset_8'  => 'g:Ubuntu',
					'preset_9'  => 'g:Cabin',
					'preset_10' => 'g:Raleway',
				),
				'sanitize' => 'pen_sanitize_font_family',
			),
			'pen_font_family_buttons' => array(
				'default' => array(
					'preset_1'  => 'g:Roboto',
					'preset_2'  => 'g:Cinzel',
					'preset_3'  => 'g:Exo 2',
					'preset_4'  => 'g:Neris',
					'preset_5'  => 'g:Montserrat',
					'preset_6'  => 'g:Roboto',
					'preset_7'  => 'g:Roboto Slab',
					'preset_8'  => 'g:Ubuntu',
					'preset_9'  => 'g:Cabin',
					'preset_10' => 'g:Raleway',
				),
				'sanitize' => 'pen_sanitize_font_family',
			),
			'pen_font_family_title_list' => array(
				'default' => array(
					'preset_1'  => 'g:Roboto',
					'preset_2'  => 'g:Cinzel',
					'preset_3'  => 'g:Exo 2',
					'preset_4'  => 'g:Neris',
					'preset_5'  => 'g:Montserrat',
					'preset_6'  => 'g:Roboto',
					'preset_7'  => 'g:Roboto Slab',
					'preset_8'  => 'g:Ubuntu',
					'preset_9'  => 'g:Cabin',
					'preset_10' => 'g:Raleway',
				),
				'sanitize' => 'pen_sanitize_font_family',
			),
			'pen_font_family_title_content' => array(
				'default' => array(
					'preset_1'  => 'g:Roboto',
					'preset_2'  => 'g:Cinzel',
					'preset_3'  => 'g:Exo 2',
					'preset_4'  => 'g:Neris',
					'preset_5'  => 'g:Montserrat',
					'preset_6'  => 'g:Roboto',
					'preset_7'  => 'g:Roboto Slab',
					'preset_8'  => 'g:Ubuntu',
					'preset_9'  => 'g:Cabin',
					'preset_10' => 'g:Raleway',
				),
				'sanitize' => 'pen_sanitize_font_family',
			),
			'pen_font_family_widget_title_top' => array(
				'default' => array(
					'preset_1'  => 'g:Roboto',
					'preset_2'  => 'g:Cinzel',
					'preset_3'  => 'g:Exo 2',
					'preset_4'  => 'g:Neris',
					'preset_5'  => 'g:Montserrat',
					'preset_6'  => 'g:Roboto',
					'preset_7'  => 'g:Roboto Slab',
					'preset_8'  => 'g:Ubuntu',
					'preset_9'  => 'g:Cabin',
					'preset_10' => 'g:Raleway',
				),
				'sanitize' => 'pen_sanitize_font_family',
			),
			'pen_font_family_widget_title_left' => array(
				'default' => array(
					'preset_1'  => 'g:Roboto',
					'preset_2'  => 'g:Cinzel',
					'preset_3'  => 'g:Exo 2',
					'preset_4'  => 'g:Neris',
					'preset_5'  => 'g:Montserrat',
					'preset_6'  => 'g:Roboto',
					'preset_7'  => 'g:Roboto Slab',
					'preset_8'  => 'g:Ubuntu',
					'preset_9'  => 'g:Cabin',
					'preset_10' => 'g:Raleway',
				),
				'sanitize' => 'pen_sanitize_font_family',
			),
			'pen_font_family_widget_title_right' => array(
				'default' => array(
					'preset_1'  => 'g:Roboto',
					'preset_2'  => 'g:Cinzel',
					'preset_3'  => 'g:Exo 2',
					'preset_4'  => 'g:Neris',
					'preset_5'  => 'g:Montserrat',
					'preset_6'  => 'g:Roboto',
					'preset_7'  => 'g:Roboto Slab',
					'preset_8'  => 'g:Ubuntu',
					'preset_9'  => 'g:Cabin',
					'preset_10' => 'g:Raleway',
				),
				'sanitize' => 'pen_sanitize_font_family',
			),
			'pen_font_family_widget_title_bottom' => array(
				'default' => array(
					'preset_1'  => 'g:Roboto',
					'preset_2'  => 'g:Cinzel',
					'preset_3'  => 'g:Exo 2',
					'preset_4'  => 'g:Neris',
					'preset_5'  => 'g:Montserrat',
					'preset_6'  => 'g:Roboto',
					'preset_7'  => 'g:Roboto Slab',
					'preset_8'  => 'g:Ubuntu',
					'preset_9'  => 'g:Cabin',
					'preset_10' => 'g:Raleway',
				),
				'sanitize' => 'pen_sanitize_font_family',
			),
			'pen_font_size_sitetitle' => array(
				'default'  => 'default',
				'sanitize' => 'pen_sanitize_font_size',
			),
			'pen_font_resize_sitetitle' => array(
				'default'  => 'dynamic',
				'sanitize' => 'pen_sanitize_string',
			),
			'pen_font_size_sitedescription' => array(
				'default'  => 'default',
				'sanitize' => 'pen_sanitize_font_size',
			),
			'pen_font_size_social_header' => array(
				'default'  => 'default',
				'sanitize' => 'pen_sanitize_font_size',
			),
			'pen_font_size_social_footer' => array(
				'default'  => 'default',
				'sanitize' => 'pen_sanitize_font_size',
			),
			'pen_font_size_phone_header' => array(
				'default'  => 'default',
				'sanitize' => 'pen_sanitize_font_size',
			),
			'pen_font_size_phone_footer' => array(
				'default'  => 'default',
				'sanitize' => 'pen_sanitize_font_size',
			),
			'pen_font_size_navigation' => array(
				'default'  => 'default',
				'sanitize' => 'pen_sanitize_font_size',
			),
			'pen_font_size_title_list' => array(
				'default'  => 'default',
				'sanitize' => 'pen_sanitize_font_size',
			),
			'pen_font_size_title_content' => array(
				'default'  => 'default',
				'sanitize' => 'pen_sanitize_font_size',
			),
			'pen_font_size_widget_title_top' => array(
				'default'  => 'default',
				'sanitize' => 'pen_sanitize_font_size',
			),
			'pen_font_size_widget_title_left' => array(
				'default'  => 'default',
				'sanitize' => 'pen_sanitize_font_size',
			),
			'pen_font_size_widget_title_right' => array(
				'default'  => 'default',
				'sanitize' => 'pen_sanitize_font_size',
			),
			'pen_font_size_widget_title_bottom' => array(
				'default'  => 'default',
				'sanitize' => 'pen_sanitize_font_size',
			),
			'pen_background_image_navigation' => array(
				'default'  => '',
				'sanitize' => 'esc_url_raw',
			),
			'pen_background_image_navigation_submenu' => array(
				'default'  => '',
				'sanitize' => 'esc_url_raw',
			),
			'pen_background_image_search' => array(
				'default'  => '',
				'sanitize' => 'esc_url_raw',
			),
			'pen_background_image_content_title' => array(
				'default'  => '',
				'sanitize' => 'esc_url_raw',
			),
			'pen_background_image_content_title_dynamic' => array(
				'default'  => false,
				'sanitize' => 'pen_sanitize_boolean',
			),
			'pen_background_image_bottom' => array(
				'default'  => '',
				'sanitize' => 'esc_url_raw',
			),
			'pen_background_image_footer' => array(
				'default'  => '',
				'sanitize' => 'esc_url_raw',
			),
			'pen_header_sticky' => array(
				'default'  => true,
				'sanitize' => 'pen_sanitize_boolean',
			),
			'pen_header_alignment' => array(
				'default'  => 'left',
				'sanitize' => 'pen_sanitize_alignment',
			),
			'pen_header_logo_display' => array(
				'default'  => true,
				'sanitize' => 'pen_sanitize_boolean',
			),
			'pen_header_logo_animation_reveal' => array(
				'default'  => 'fadeInDown',
				'sanitize' => 'pen_sanitize_animation',
			),
			'pen_header_logo_size' => array(
				'default'  => 'height',
				'sanitize' => 'pen_sanitize_logo_size',
			),
			'pen_header_sitetitle_display' => array(
				'default'  => true,
				'sanitize' => 'pen_sanitize_boolean',
			),
			'pen_header_sitetitle_animation_reveal' => array(
				'default'  => 'fadeInRight',
				'sanitize' => 'pen_sanitize_animation',
			),
			'pen_header_sitedescription_display' => array(
				'default'  => true,
				'sanitize' => 'pen_sanitize_boolean',
			),
			'pen_header_sitedescription_animation_reveal' => array(
				'default'  => 'fadeInLeft',
				'sanitize' => 'pen_sanitize_animation',
			),
			'pen_navigation_display' => array(
				'default'  => true,
				'sanitize' => 'pen_sanitize_boolean',
			),
			'pen_navigation_mobile_display' => array(
				'default'  => true,
				'sanitize' => 'pen_sanitize_boolean',
			),
			'pen_navigation_animation_reveal' => array(
				'default'  => 'fadeIn',
				'sanitize' => 'pen_sanitize_animation',
			),
			'pen_navigation_separator' => array(
				'default'  => 1,
				'sanitize' => 'pen_sanitize_integer',
			),
			'pen_navigation_separator_submenu' => array(
				'default'  => 1,
				'sanitize' => 'pen_sanitize_integer',
			),
			'pen_navigation_hover' => array(
				'default'  => 1,
				'sanitize' => 'pen_sanitize_integer',
			),
			'pen_navigation_arrows' => array(
				'default'  => 1,
				'sanitize' => 'pen_sanitize_integer',
			),
			'pen_navigation_easing' => array(
				'default'  => 'swing',
				'sanitize' => 'pen_sanitize_string',
			),
			'pen_navigation_animation_speed' => array(
				'default'  => 250,
				'sanitize' => 'pen_sanitize_integer',
			),
			'pen_navigation_alignment' => array(
				'default'  => 'left',
				'sanitize' => 'pen_sanitize_alignment',
			),
			'pen_search_display' => array(
				'default'  => true,
				'sanitize' => 'pen_sanitize_boolean',
			),
			'pen_search_location' => array(
				'default'  => 'header',
				'sanitize' => 'pen_sanitize_location',
			),
			'pen_footer_alignment' => array(
				'default'  => 'left',
				'sanitize' => 'pen_sanitize_alignment',
			),
			'pen_footer_menu_display' => array(
				'default'  => true,
				'sanitize' => 'pen_sanitize_boolean',
			),
			'pen_footer_menu_animation_reveal' => array(
				'default'  => 'fadeIn',
				'sanitize' => 'pen_sanitize_animation',
			),
			'pen_footer_back_to_top_display' => array(
				'default'  => true,
				'sanitize' => 'pen_sanitize_boolean',
			),
			'pen_footer_copyright_display' => array(
				'default'  => true,
				'sanitize' => 'pen_sanitize_boolean',
			),
			'pen_footer_copyright_text' => array(
				'default'  => '',
				'sanitize' => 'pen_sanitize_string',
			),
			/* phpcs:enable */
		);
	}
}

if ( ! function_exists( 'pen_option_default' ) ) {
	/**
	 * Returns the default value for the specified settings.
	 *
	 * @param string $option The unique ID of the theme setting.
	 * @since Pen 1.0.0
	 * @return mixed
	 */
	function pen_option_default( $option ) {
		if ( 'pen_' !== substr( $option, 0, 4 ) ) {
			$option = 'pen_' . $option;
		}
		$preset = 'preset_1';
		if ( false === strpos( $option, '[' ) ) {
			$preset = pen_preset_get( $option );
		} elseif ( preg_match( '/(.*)\[(.*)\]/', $option, $match ) ) {
			$option = $match[1];
			$preset = $match[2];
		}
		$configuration = pen_configuration();
		if ( isset( $configuration[ $option ] ) ) {
			if ( is_array( $configuration[ $option ]['default'] ) ) {
				if ( isset( $configuration[ $option ]['default'][ $preset ] ) ) {
					return $configuration[ $option ]['default'][ $preset ];
				} else {
					return null;
				}
			} else {
				return $configuration[ $option ]['default'];
			}
		} else {
			return null;
		}
	}
}

if ( ! function_exists( 'pen_option_sanitize' ) ) {
	/**
	 * Sanitizes theme settings.
	 *
	 * @param string $option    The unique ID of the theme setting.
	 * @param mixed  $raw_data  Raw data.
	 *
	 * @since Pen 1.0.0
	 * @return array
	 */
	function pen_option_sanitize( $option, $raw_data = null ) {
		$options = pen_configuration();
		if ( preg_match( '/(.*)\[(.*)\]/', $option, $match ) ) {
			$option = $match[1];
		}
		if ( isset( $options[ $option ] ) ) {
			$sanitizing_function = $options[ $option ]['sanitize'];
			if ( is_null( $raw_data ) ) {
				return $sanitizing_function;
			}
			if ( function_exists( $sanitizing_function ) ) {
				return $sanitizing_function( $raw_data );
			}
		}
		return null;
	}
}

if ( ! function_exists( 'pen_option_get' ) ) {
	/**
	 * A wrapper for the get_theme_mod()
	 *
	 * @param string $option The unique ID of the theme option.
	 *
	 * @since Pen 1.0.0
	 * @return mixed
	 */
	function pen_option_get( $option ) {
		if ( ! is_string( $option ) ) {
			return null;
		}
		if ( 'pen_' !== substr( $option, 0, 4 ) ) {
			$option = 'pen_' . $option;
		}
		$default = pen_option_default( $option );
		if ( is_null( $default ) ) {
			if ( defined( 'WP_DEBUG' ) && WP_DEBUG ) {
				exit( esc_html( sprintf( 'Theme option missing: %s', $option ) ) );
			}
			return null;
		}
		$value = get_theme_mod( $option, $default );
		if ( is_array( $value ) ) {
			$preset = pen_preset_get( $option );
			if ( isset( $value[ $preset ] ) ) {
				return $value[ $preset ];
			}
			return $default;
		} else {
			return $value;
		}
	}
}

if ( ! function_exists( 'pen_preset_get' ) ) {
	/**
	 * Returns the current preset.
	 *
	 * @param string $option The option ID.
	 * @since Pen 1.0.3
	 * @return string
	 */
	function pen_preset_get( $option ) {
		if ( 'pen_' === substr( $option, 0, 4 ) ) {
			$option = ltrim( $option, 'pen_' );
		}

		if ( 'color' === substr( $option, 0, 5 ) ) {
			$preview = (int) pen_filter_input( 'GET', 'pen_preview_color' );
			if ( ! $preview ) {

				$preview = (int) pen_filter_input( 'POST', 'pen_preview_color' );
				if ( $preview && defined( 'DOING_AJAX' ) && DOING_AJAX ) {
					if ( check_ajax_referer( 'save-customize_' . get_stylesheet(), 'nonce', false ) ) {
						set_theme_mod( 'pen_preset_color', 'preset_' . $preview );
					}
				}
			}
			if ( $preview && $preview > 0 && $preview <= 15 ) {
				return 'preset_' . $preview;
			}
			return PEN_PRESET_COLOR;
		} elseif ( 'font_family' === substr( $option, 0, 11 ) ) {
			$preview = (int) pen_filter_input( 'GET', 'pen_preview_font' );
			if ( ! $preview ) {
				$preview = (int) pen_filter_input( 'POST', 'pen_preview_font' );
				if ( $preview && defined( 'DOING_AJAX' ) && DOING_AJAX ) {
					if ( check_ajax_referer( 'save-customize_' . get_stylesheet(), 'nonce', false ) ) {
						set_theme_mod( 'pen_preset_font', 'preset_' . $preview );
					}
				}
			}
			if ( $preview && $preview > 0 && $preview <= 10 ) {
				return 'preset_' . $preview;
			}
			return PEN_PRESET_FONT;
		}
		return 'preset_1';
	}
}
