<?php
/**
 * Template part for displaying a message that posts cannot be found.
 *
 * @link https://developer.wordpress.org/themes/basics/template-hierarchy/
 *
 * @package Pen
 */

?>
<section <?php echo pen_post_classes( array( 'no-results', 'not-found' ) ); /* phpcs:ignore */ ?>>
	<header class="page-header<?php echo pen_class_lists( 'header_display_override' ); /* phpcs:ignore */ ?>">
		<h1 class="page-title<?php echo pen_class_lists( 'title_display_override' ); /* phpcs:ignore */ ?>">
<?php
esc_html_e( 'Nothing Found', 'pen' );
?>
		</h1>
	</header><!-- .page-header -->
	<div class="page-content clearfix">
		<div class="pen_content_wrapper">
<?php
if ( is_home() && current_user_can( 'publish_posts' ) ) {
	?>
			<p>
	<?php
	printf(
		wp_kses(
			// Translators: %1$s: Just a URL.
			__( 'Ready to publish your first post? <a href="%1$s">Get started here</a>.', 'pen' ),
			array(
				'a' => array(
					'href' => array(),
				),
			)
		),
		esc_url( admin_url( 'post-new.php' ) )
	);
	?>
			</p>
	<?php
} elseif ( is_search() ) {
	?>
			<p>
	<?php
	esc_html_e( 'Sorry, but nothing matched your search terms. Please try again with some different keywords.', 'pen' );
	?>
			</p>
	<?php
} else {
	?>
			<p>
	<?php
	esc_html_e( 'It seems we can&rsquo;t find what you&rsquo;re looking for. Perhaps searching can help.', 'pen' );
	?>
			</p>
	<?php
}
?>
		</div>
	</div><!-- .page-content -->
</section><!-- .no-results -->
