<?php
/**
 * Template part for displaying the site navigation.
 *
 * @link https://developer.wordpress.org/themes/basics/template-hierarchy/
 *
 * @package Pen
 */

$navigation_display = pen_option_get( 'navigation_display' ) ? 'show' : 'hide';
if ( 'hide' !== $navigation_display ) {
	$variables = array(
		'theme_location' => 'primary',
		'menu_id'        => 'primary-menu',
		'menu_class'     => 'menu',
		'echo'           => false,
		'fallback_cb'    => 'pen_html_navigation_fallback',
	);

	$menu_html = trim( wp_nav_menu( $variables ) );
	if ( $menu_html ) {
		ob_start( 'pen_compress_html' );
		?>
<nav id="pen_navigation" class="<?php echo esc_attr( pen_class_navigation() ); ?>" role="navigation" aria-label="<?php esc_attr_e( 'Header Menu', 'pen' ); ?>">
	<div class="pen_container <?php pen_class_animation( 'navigation' ); /* phpcs:ignore */ ?>">
		<?php
		echo $menu_html; /* phpcs:ignore */
		?>
	</div>
		<?php
		pen_html_jump_menu( 'navigation' );
		?>
</nav>
		<?php
		echo ob_get_clean(); /* phpcs:ignore */
	}
}
